package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.LoanAstDOMapper;

/**
* The Table abs_loan_ast.
* 机构资产
*/
@Repository
public class LoanAstDAO{

    @Autowired
    private LoanAstDOMapper loanAstDOMapper;

    /**
     * desc:批量插入表:abs_loan_ast.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(LoanAstDO entity){
        return loanAstDOMapper.insert(entity);
    }
    /**
     * desc:更新表:abs_loan_ast.<br/>
     * @param entity entity
     * @return int
     */
    
    public int update(LoanAstDO entity){
        return loanAstDOMapper.update(entity);
    }
    /**
     * desc:根据普通索引AbsLoanAstIdx获取数据:abs_loan_ast.<br/>
     * @param astNo astNo
     * @return List<LoanAstDO>
     */
    
    public List<LoanAstDO> queryByAstNo(String astNo){
        return loanAstDOMapper.queryByAstNo(astNo);
    }
}
