package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocItemDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAllocItemDOMapper;

/**
* The Table abs_plan_alloc_item.
* 分配计划事项表
*/
@Repository
public class PlanAllocItemDAO{

    @Autowired
    private PlanAllocItemDOMapper planAllocItemDOMapper;

    /**
     * desc:插入表:abs_plan_alloc_item.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAllocItemDO entity){
        return planAllocItemDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_alloc_item.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanAllocItemDO> list){
        planAllocItemDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键删除数据:abs_plan_alloc_item.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(Long id){
        return planAllocItemDOMapper.deleteById(id);
    }
    /**
     * desc:根据主键获取数据:abs_plan_alloc_item.<br/>
     * @param id id
     * @return PlanAllocItemDO
     */
    
    public PlanAllocItemDO getById(Long id){
        return planAllocItemDOMapper.getById(id);
    }
}
