package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstPriceRuleDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAstPriceRuleDOMapper;

/**
* The Table abs_plan_ast_price_rule.
* 资产定价规则
*/
@Repository
public class PlanAstPriceRuleDAO{

    @Autowired
    private PlanAstPriceRuleDOMapper planAstPriceRuleDOMapper;

    /**
     * desc:插入表:abs_plan_ast_price_rule.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAstPriceRuleDO entity){
        return planAstPriceRuleDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_ast_price_rule.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanAstPriceRuleDO> list){
        planAstPriceRuleDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键删除数据:abs_plan_ast_price_rule.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(Long id){
        return planAstPriceRuleDOMapper.deleteById(id);
    }
    /**
     * desc:根据主键获取数据:abs_plan_ast_price_rule.<br/>
     * @param id id
     * @return PlanAstPriceRuleDO
     */
    
    public PlanAstPriceRuleDO getById(Long id){
        return planAstPriceRuleDOMapper.getById(id);
    }
    /**
     * desc:根据普通索引PriceRulePlanNo获取数据:abs_plan_ast_price_rule.<br/>
     * @param planNo planNo
     * @return List<PlanAstPriceRuleDO>
     */
    
    public List<PlanAstPriceRuleDO> queryByPriceRulePlanNo(String planNo){
        return planAstPriceRuleDOMapper.queryByPriceRulePlanNo(planNo);
    }
    /**
     * desc:根据计划编号删除数据:deleteByPlanNo.<br/>
     * @param planNo planNo
     * @return int
     */
    
    public int deleteByPlanNo(String planNo){
        return planAstPriceRuleDOMapper.deleteByPlanNo(planNo);
    }
}
