package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstStatTaskDO;
import java.util.Date;
import java.util.List;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAstStatTaskDOMapper;

/**
* The Table abs_plan_ast_stat_task.
* 计划资产状态汇总任务
*/
@Repository
public class PlanAstStatTaskDAO{

    @Autowired
    private PlanAstStatTaskDOMapper planAstStatTaskDOMapper;

    /**
     * desc:插入表:abs_plan_ast_stat_task.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAstStatTaskDO entity){
        return planAstStatTaskDOMapper.insert(entity);
    }
    /**
     * desc:根据主键获取数据:abs_plan_ast_stat_task.<br/>
     * @param planNo planNo
     * @return PlanAstStatTaskDO
     */
    
    public PlanAstStatTaskDO lockByPlanNo(String planNo){
        return planAstStatTaskDOMapper.lockByPlanNo(planNo);
    }
    /**
     * desc:根据唯一约束AbsAstStatTask更新表:abs_plan_ast_stat_task.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateTask(PlanAstStatTaskDO entity){
        return planAstStatTaskDOMapper.updateTask(entity);
    }
    /**
     * desc:根据ip重置任务.<br/>
     * @param lastHost lastHost
     * @return int
     */
    
    public int updateHangTasksByIp(String lastHost){
        return planAstStatTaskDOMapper.updateHangTasksByIp(lastHost);
    }
    /**
     * desc:根据唯一约束AbsAstStatTask获取数据:abs_plan_ast_stat_task.<br/>
     * @param planNo planNo
     * @return PlanAstStatTaskDO
     */
    
    public PlanAstStatTaskDO getByPlanNo(String planNo){
        return planAstStatTaskDOMapper.getByPlanNo(planNo);
    }
    /**
     * desc:根据唯一约束AbsAstStatTask获取数据:abs_plan_ast_stat_task.<br/>
     * @param curTime curTime
     * @param limit limit
     * @return List<PlanAstStatTaskDO>
     */
    
    public List<PlanAstStatTaskDO> getToDo(Date curTime,Integer limit){
        return planAstStatTaskDOMapper.getToDo(curTime, limit);
    }
    /**
     * desc:更新任务为执行中.<br/>
     * @param lastExecTime lastExecTime
     * @param lastHost lastHost
     * @param planNos planNos
     * @return int
     */
    
    public int updateTaskExec(Date lastExecTime,String lastHost,List<String> planNos){
    if(planNos!=null && planNos.size()>201){throw new RuntimeException("planNos 超出201长度限制");}
        return planAstStatTaskDOMapper.updateTaskExec(lastExecTime, lastHost, planNos);
    }
    /**
     * desc:重置状态，更新下次执行时间.<br/>
     * @param nextExecTime nextExecTime
     * @param planNo planNo
     * @return int
     */
    
    public int updateTaskExep(Date nextExecTime,String planNo){
        return planAstStatTaskDOMapper.updateTaskExep(nextExecTime, planNo);
    }
    /**
     * desc:查询执行次数超次数的统计任务.<br/>
     * @param execTimes execTimes
     * @return List<PlanAstStatTaskDO>
     */
    
    public List<PlanAstStatTaskDO> queryFailStatTask(Long execTimes){
        return planAstStatTaskDOMapper.queryFailStatTask(execTimes);
    }
    /**
     * desc:根据状态计数.<br/>
     * @param deadLine deadLine
     * @param status status
     * @return Long
     */
    
    public Long countByStatusAndTime(Date deadLine,String status){
        return planAstStatTaskDOMapper.countByStatusAndTime(deadLine, status);
    }
}
