package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanTransferRuleDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanTransferRuleDOMapper;

/**
* The Table abs_plan_transfer_rule.
* 转让规则
*/
@Repository
public class PlanTransferRuleDAO{

    @Autowired
    private PlanTransferRuleDOMapper planTransferRuleDOMapper;

    /**
     * desc:插入表:abs_plan_transfer_rule.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanTransferRuleDO entity){
        return planTransferRuleDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_transfer_rule.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanTransferRuleDO> list){
        planTransferRuleDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:更新表:abs_plan_transfer_rule.<br/>
     * @param entity entity
     * @return int
     */
    
    public int update(PlanTransferRuleDO entity){
        return planTransferRuleDOMapper.update(entity);
    }
    /**
     * desc:根据计划编号查询:abs_plan_transfer_rule.<br/>
     * @param planNo planNo
     * @return PlanTransferRuleDO
     */
    
    public PlanTransferRuleDO getByPlanNo(String planNo){
        return planTransferRuleDOMapper.getByPlanNo(planNo);
    }
    /**
     * desc:根据计划编号查询:abs_plan_transfer_rule.<br/>
     * @param transferNo transferNo
     * @return PlanTransferRuleDO
     */
    
    public PlanTransferRuleDO getByTransferNo(String transferNo){
        return planTransferRuleDOMapper.getByTransferNo(transferNo);
    }
    /**
     * desc:根据计划编号删除.<br/>
     * @param planNo planNo
     * @return int
     */
    
    public int deleteByPlanNo(String planNo){
        return planTransferRuleDOMapper.deleteByPlanNo(planNo);
    }
}
