package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 信贷资产
 */
public class LoanDO{

    /**
     * transCnt 交易次数.
     */
    private Long transCnt;
    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * certNo .
     */
    private String certNo;
    /**
     * extInf 扩展信息.
     */
    private String extInf;
    /**
     * ownOrg 所属资产池编号.
     */
    private String ownOrg;
    /**
     * prodNo 产品码.
     */
    private String prodNo;
    /**
     * riskCl 资产五级分类.
     */
    private String riskCl;
    /**
     * status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    private String status;
    /**
     * userId .
     */
    private String userId;
    /**
     * ownPack 所属资产包.
     */
    private String ownPack;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * capitalNo 资金编号.
     */
    private String capitalNo;
    /**
     * layerName 投资结构名称.
     */
    private String layerName;
    /**
     * outProdNo 外部产品码.
     */
    private String outProdNo;
    /**
     * ownStatus .
     */
    private String ownStatus;
    /**
     * wtfStatus .
     */
    private String wtfStatus;
    /**
     * contractNo 合同编号.
     */
    private String contractNo;
    /**
     * lastOwnOrg 前所属机构（计划）.
     */
    private String lastOwnOrg;
    /**
     * lenderOrgCode 原始权益机构（计划）.
     */
    private String lenderOrgCode;
    /**
     * managerOrgCode 资产管理服务机构.
     */
    private String managerOrgCode;
    /**
     * sponserOrgCode 业务牵头机构.
     */
    private String sponserOrgCode;
    /**
     * curTerm 当前期.
     */
    private Integer curTerm;
    /**
     * ovdDays 逾期天数.
     */
    private Integer ovdDays;
    /**
     * termCnt 总期次.
     */
    private Integer termCnt;
    /**
     * inDate 资产流入时间(YYYYMMDD).
     */
    private Date inDate;
    /**
     * endDate 借据到期日(YYYYMMDD).
     */
    private Date endDate;
    /**
     * disbDate .
     */
    private Date disbDate;
    /**
     * clearDate 结清日期.
     */
    private Date clearDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * startDate 借据开始日期(YYYYMMDD).
     */
    private Date startDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastUpdateDate 最近数据更新日.
     */
    private Date lastUpdateDate;
    /**
     * feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    private Money feeBal;
    /**
     * intrBal 利息余额.
     */
    private Money intrBal;
    /**
     * prinBal 本金余额.
     */
    private Money prinBal;
    /**
     * ovdFeeBal .
     */
    private Money ovdFeeBal;
    /**
     * ovdIntrBal .
     */
    private Money ovdIntrBal;
    /**
     * ovdPrinBal .
     */
    private Money ovdPrinBal;
    /**
     * paidFeeAmt 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    private Money paidFeeAmt;
    /**
     * feePenalBal 由分期费用逾期产生的滞纳金余额.
     */
    private Money feePenalBal;
    /**
     * otherFeeBal 其他费用余额.
     */
    private Money otherFeeBal;
    /**
     * paidIntrAmt 利息余额.
     */
    private Money paidIntrAmt;
    /**
     * paidPrinAmt 本金余额.
     */
    private Money paidPrinAmt;
    /**
     * intrPenalBal 由逾期利息产生的罚息.
     */
    private Money intrPenalBal;
    /**
     * prinPenalBal 由逾期本金产生的罚息.
     */
    private Money prinPenalBal;
    /**
     * paidFeePenalAmt 由分期费用逾期产生的滞纳金余额.
     */
    private Money paidFeePenalAmt;
    /**
     * paidOtherFeeAmt 其他费用余额.
     */
    private Money paidOtherFeeAmt;
    /**
     * otherFeePenalBal 其他费用滞纳金余额.
     */
    private Money otherFeePenalBal;
    /**
     * paidIntrPenalAmt 由逾期利息产生的罚息.
     */
    private Money paidIntrPenalAmt;
    /**
     * paidPrinPenalAmt 由逾期本金产生的罚息.
     */
    private Money paidPrinPenalAmt;
    /**
     * paidOtherFeePenalAmt 其他费用滞纳金余额.
     */
    private Money paidOtherFeePenalAmt;

    /**
     * Set transCnt 交易次数.
     */
    public void setTransCnt(Long transCnt){
        this.transCnt = transCnt;
    }

    /**
     * Get transCnt 交易次数.
     *
     * @return the string
     */
    public Long getTransCnt(){
        return transCnt;
    }

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set certNo .
     */
    public void setCertNo(String certNo){
        this.certNo = certNo;
    }

    /**
     * Get certNo .
     *
     * @return the string
     */
    public String getCertNo(){
        return certNo;
    }

    /**
     * Set extInf 扩展信息.
     */
    public void setExtInf(String extInf){
        this.extInf = extInf;
    }

    /**
     * Get extInf 扩展信息.
     *
     * @return the string
     */
    public String getExtInf(){
        return extInf;
    }

    /**
     * Set ownOrg 所属资产池编号.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 所属资产池编号.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set prodNo 产品码.
     */
    public void setProdNo(String prodNo){
        this.prodNo = prodNo;
    }

    /**
     * Get prodNo 产品码.
     *
     * @return the string
     */
    public String getProdNo(){
        return prodNo;
    }

    /**
     * Set riskCl 资产五级分类.
     */
    public void setRiskCl(String riskCl){
        this.riskCl = riskCl;
    }

    /**
     * Get riskCl 资产五级分类.
     *
     * @return the string
     */
    public String getRiskCl(){
        return riskCl;
    }

    /**
     * Set status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set userId .
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * Get userId .
     *
     * @return the string
     */
    public String getUserId(){
        return userId;
    }

    /**
     * Set ownPack 所属资产包.
     */
    public void setOwnPack(String ownPack){
        this.ownPack = ownPack;
    }

    /**
     * Get ownPack 所属资产包.
     *
     * @return the string
     */
    public String getOwnPack(){
        return ownPack;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set capitalNo 资金编号.
     */
    public void setCapitalNo(String capitalNo){
        this.capitalNo = capitalNo;
    }

    /**
     * Get capitalNo 资金编号.
     *
     * @return the string
     */
    public String getCapitalNo(){
        return capitalNo;
    }

    /**
     * Set layerName 投资结构名称.
     */
    public void setLayerName(String layerName){
        this.layerName = layerName;
    }

    /**
     * Get layerName 投资结构名称.
     *
     * @return the string
     */
    public String getLayerName(){
        return layerName;
    }

    /**
     * Set outProdNo 外部产品码.
     */
    public void setOutProdNo(String outProdNo){
        this.outProdNo = outProdNo;
    }

    /**
     * Get outProdNo 外部产品码.
     *
     * @return the string
     */
    public String getOutProdNo(){
        return outProdNo;
    }

    /**
     * Set ownStatus .
     */
    public void setOwnStatus(String ownStatus){
        this.ownStatus = ownStatus;
    }

    /**
     * Get ownStatus .
     *
     * @return the string
     */
    public String getOwnStatus(){
        return ownStatus;
    }

    /**
     * Set wtfStatus .
     */
    public void setWtfStatus(String wtfStatus){
        this.wtfStatus = wtfStatus;
    }

    /**
     * Get wtfStatus .
     *
     * @return the string
     */
    public String getWtfStatus(){
        return wtfStatus;
    }

    /**
     * Set contractNo 合同编号.
     */
    public void setContractNo(String contractNo){
        this.contractNo = contractNo;
    }

    /**
     * Get contractNo 合同编号.
     *
     * @return the string
     */
    public String getContractNo(){
        return contractNo;
    }

    /**
     * Set lastOwnOrg 前所属机构（计划）.
     */
    public void setLastOwnOrg(String lastOwnOrg){
        this.lastOwnOrg = lastOwnOrg;
    }

    /**
     * Get lastOwnOrg 前所属机构（计划）.
     *
     * @return the string
     */
    public String getLastOwnOrg(){
        return lastOwnOrg;
    }

    /**
     * Set lenderOrgCode 原始权益机构（计划）.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构（计划）.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set managerOrgCode 资产管理服务机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 资产管理服务机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set sponserOrgCode 业务牵头机构.
     */
    public void setSponserOrgCode(String sponserOrgCode){
        this.sponserOrgCode = sponserOrgCode;
    }

    /**
     * Get sponserOrgCode 业务牵头机构.
     *
     * @return the string
     */
    public String getSponserOrgCode(){
        return sponserOrgCode;
    }

    /**
     * Set curTerm 当前期.
     */
    public void setCurTerm(Integer curTerm){
        this.curTerm = curTerm;
    }

    /**
     * Get curTerm 当前期.
     *
     * @return the string
     */
    public Integer getCurTerm(){
        return curTerm;
    }

    /**
     * Set ovdDays 逾期天数.
     */
    public void setOvdDays(Integer ovdDays){
        this.ovdDays = ovdDays;
    }

    /**
     * Get ovdDays 逾期天数.
     *
     * @return the string
     */
    public Integer getOvdDays(){
        return ovdDays;
    }

    /**
     * Set termCnt 总期次.
     */
    public void setTermCnt(Integer termCnt){
        this.termCnt = termCnt;
    }

    /**
     * Get termCnt 总期次.
     *
     * @return the string
     */
    public Integer getTermCnt(){
        return termCnt;
    }

    /**
     * Set inDate 资产流入时间(YYYYMMDD).
     */
    public void setInDate(Date inDate){
        this.inDate = inDate;
    }

    /**
     * Get inDate 资产流入时间(YYYYMMDD).
     *
     * @return the string
     */
    public Date getInDate(){
        return inDate;
    }

    /**
     * Set endDate 借据到期日(YYYYMMDD).
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 借据到期日(YYYYMMDD).
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set disbDate .
     */
    public void setDisbDate(Date disbDate){
        this.disbDate = disbDate;
    }

    /**
     * Get disbDate .
     *
     * @return the string
     */
    public Date getDisbDate(){
        return disbDate;
    }

    /**
     * Set clearDate 结清日期.
     */
    public void setClearDate(Date clearDate){
        this.clearDate = clearDate;
    }

    /**
     * Get clearDate 结清日期.
     *
     * @return the string
     */
    public Date getClearDate(){
        return clearDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set startDate 借据开始日期(YYYYMMDD).
     */
    public void setStartDate(Date startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 借据开始日期(YYYYMMDD).
     *
     * @return the string
     */
    public Date getStartDate(){
        return startDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastUpdateDate 最近数据更新日.
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate 最近数据更新日.
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }

    /**
     * Set feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    public void setFeeBal(Money feeBal){
        this.feeBal = feeBal;
    }

    /**
     * Get feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     *
     * @return the string
     */
    public Money getFeeBal(){
        if(feeBal==null){
            return new Money();
        }
        return feeBal;
    }

    /**
     * Set intrBal 利息余额.
     */
    public void setIntrBal(Money intrBal){
        this.intrBal = intrBal;
    }

    /**
     * Get intrBal 利息余额.
     *
     * @return the string
     */
    public Money getIntrBal(){
        if(intrBal==null){
            return new Money();
        }
        return intrBal;
    }

    /**
     * Set prinBal 本金余额.
     */
    public void setPrinBal(Money prinBal){
        this.prinBal = prinBal;
    }

    /**
     * Get prinBal 本金余额.
     *
     * @return the string
     */
    public Money getPrinBal(){
        if(prinBal==null){
            return new Money();
        }
        return prinBal;
    }

    /**
     * Set ovdFeeBal .
     */
    public void setOvdFeeBal(Money ovdFeeBal){
        this.ovdFeeBal = ovdFeeBal;
    }

    /**
     * Get ovdFeeBal .
     *
     * @return the string
     */
    public Money getOvdFeeBal(){
        if(ovdFeeBal==null){
            return new Money();
        }
        return ovdFeeBal;
    }

    /**
     * Set ovdIntrBal .
     */
    public void setOvdIntrBal(Money ovdIntrBal){
        this.ovdIntrBal = ovdIntrBal;
    }

    /**
     * Get ovdIntrBal .
     *
     * @return the string
     */
    public Money getOvdIntrBal(){
        if(ovdIntrBal==null){
            return new Money();
        }
        return ovdIntrBal;
    }

    /**
     * Set ovdPrinBal .
     */
    public void setOvdPrinBal(Money ovdPrinBal){
        this.ovdPrinBal = ovdPrinBal;
    }

    /**
     * Get ovdPrinBal .
     *
     * @return the string
     */
    public Money getOvdPrinBal(){
        if(ovdPrinBal==null){
            return new Money();
        }
        return ovdPrinBal;
    }

    /**
     * Set paidFeeAmt 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    public void setPaidFeeAmt(Money paidFeeAmt){
        this.paidFeeAmt = paidFeeAmt;
    }

    /**
     * Get paidFeeAmt 单指分期手续费，其他费用如，提前还款费等不在此列.
     *
     * @return the string
     */
    public Money getPaidFeeAmt(){
        if(paidFeeAmt==null){
            return new Money();
        }
        return paidFeeAmt;
    }

    /**
     * Set feePenalBal 由分期费用逾期产生的滞纳金余额.
     */
    public void setFeePenalBal(Money feePenalBal){
        this.feePenalBal = feePenalBal;
    }

    /**
     * Get feePenalBal 由分期费用逾期产生的滞纳金余额.
     *
     * @return the string
     */
    public Money getFeePenalBal(){
        if(feePenalBal==null){
            return new Money();
        }
        return feePenalBal;
    }

    /**
     * Set otherFeeBal 其他费用余额.
     */
    public void setOtherFeeBal(Money otherFeeBal){
        this.otherFeeBal = otherFeeBal;
    }

    /**
     * Get otherFeeBal 其他费用余额.
     *
     * @return the string
     */
    public Money getOtherFeeBal(){
        if(otherFeeBal==null){
            return new Money();
        }
        return otherFeeBal;
    }

    /**
     * Set paidIntrAmt 利息余额.
     */
    public void setPaidIntrAmt(Money paidIntrAmt){
        this.paidIntrAmt = paidIntrAmt;
    }

    /**
     * Get paidIntrAmt 利息余额.
     *
     * @return the string
     */
    public Money getPaidIntrAmt(){
        if(paidIntrAmt==null){
            return new Money();
        }
        return paidIntrAmt;
    }

    /**
     * Set paidPrinAmt 本金余额.
     */
    public void setPaidPrinAmt(Money paidPrinAmt){
        this.paidPrinAmt = paidPrinAmt;
    }

    /**
     * Get paidPrinAmt 本金余额.
     *
     * @return the string
     */
    public Money getPaidPrinAmt(){
        if(paidPrinAmt==null){
            return new Money();
        }
        return paidPrinAmt;
    }

    /**
     * Set intrPenalBal 由逾期利息产生的罚息.
     */
    public void setIntrPenalBal(Money intrPenalBal){
        this.intrPenalBal = intrPenalBal;
    }

    /**
     * Get intrPenalBal 由逾期利息产生的罚息.
     *
     * @return the string
     */
    public Money getIntrPenalBal(){
        if(intrPenalBal==null){
            return new Money();
        }
        return intrPenalBal;
    }

    /**
     * Set prinPenalBal 由逾期本金产生的罚息.
     */
    public void setPrinPenalBal(Money prinPenalBal){
        this.prinPenalBal = prinPenalBal;
    }

    /**
     * Get prinPenalBal 由逾期本金产生的罚息.
     *
     * @return the string
     */
    public Money getPrinPenalBal(){
        if(prinPenalBal==null){
            return new Money();
        }
        return prinPenalBal;
    }

    /**
     * Set paidFeePenalAmt 由分期费用逾期产生的滞纳金余额.
     */
    public void setPaidFeePenalAmt(Money paidFeePenalAmt){
        this.paidFeePenalAmt = paidFeePenalAmt;
    }

    /**
     * Get paidFeePenalAmt 由分期费用逾期产生的滞纳金余额.
     *
     * @return the string
     */
    public Money getPaidFeePenalAmt(){
        if(paidFeePenalAmt==null){
            return new Money();
        }
        return paidFeePenalAmt;
    }

    /**
     * Set paidOtherFeeAmt 其他费用余额.
     */
    public void setPaidOtherFeeAmt(Money paidOtherFeeAmt){
        this.paidOtherFeeAmt = paidOtherFeeAmt;
    }

    /**
     * Get paidOtherFeeAmt 其他费用余额.
     *
     * @return the string
     */
    public Money getPaidOtherFeeAmt(){
        if(paidOtherFeeAmt==null){
            return new Money();
        }
        return paidOtherFeeAmt;
    }

    /**
     * Set otherFeePenalBal 其他费用滞纳金余额.
     */
    public void setOtherFeePenalBal(Money otherFeePenalBal){
        this.otherFeePenalBal = otherFeePenalBal;
    }

    /**
     * Get otherFeePenalBal 其他费用滞纳金余额.
     *
     * @return the string
     */
    public Money getOtherFeePenalBal(){
        if(otherFeePenalBal==null){
            return new Money();
        }
        return otherFeePenalBal;
    }

    /**
     * Set paidIntrPenalAmt 由逾期利息产生的罚息.
     */
    public void setPaidIntrPenalAmt(Money paidIntrPenalAmt){
        this.paidIntrPenalAmt = paidIntrPenalAmt;
    }

    /**
     * Get paidIntrPenalAmt 由逾期利息产生的罚息.
     *
     * @return the string
     */
    public Money getPaidIntrPenalAmt(){
        if(paidIntrPenalAmt==null){
            return new Money();
        }
        return paidIntrPenalAmt;
    }

    /**
     * Set paidPrinPenalAmt 由逾期本金产生的罚息.
     */
    public void setPaidPrinPenalAmt(Money paidPrinPenalAmt){
        this.paidPrinPenalAmt = paidPrinPenalAmt;
    }

    /**
     * Get paidPrinPenalAmt 由逾期本金产生的罚息.
     *
     * @return the string
     */
    public Money getPaidPrinPenalAmt(){
        if(paidPrinPenalAmt==null){
            return new Money();
        }
        return paidPrinPenalAmt;
    }

    /**
     * Set paidOtherFeePenalAmt 其他费用滞纳金余额.
     */
    public void setPaidOtherFeePenalAmt(Money paidOtherFeePenalAmt){
        this.paidOtherFeePenalAmt = paidOtherFeePenalAmt;
    }

    /**
     * Get paidOtherFeePenalAmt 其他费用滞纳金余额.
     *
     * @return the string
     */
    public Money getPaidOtherFeePenalAmt(){
        if(paidOtherFeePenalAmt==null){
            return new Money();
        }
        return paidOtherFeePenalAmt;
    }
}
