package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 计划资产水位变更流水
 */
public class PlanAstLogDO{

    /**
     * id .
     */
    private Long id;
    /**
     * extInf 扩展字段.
     */
    private String extInf;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * transCode 交易场景码.
     */
    private String transCode;
    /**
     * changeType 变更类型.
     */
    private String changeType;
    /**
     * traderType 交易对象类型.
     */
    private String traderType;
    /**
     * transBizNo 关联业务编号.
     */
    private String transBizNo;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * accountDate 会记日.
     */
    private Date accountDate;
    /**
     * gmtModified 最后更新时间.
     */
    private Date gmtModified;
    /**
     * cash 当前水位.
     */
    private Money cash;
    /**
     * bankBal 银行账户余额.
     */
    private Money bankBal;
    /**
     * cashAmt 水位变更发生额.
     */
    private Money cashAmt;
    /**
     * accGrant 当日累计转让金额.
     */
    private Money accGrant;
    /**
     * lastCash 变更前水位.
     */
    private Money lastCash;
    /**
     * payClear 待结算支出.
     */
    private Money payClear;
    /**
     * payOnWay 在途支出.
     */
    private Money payOnWay;
    /**
     * checkCash 水位校验金额.
     */
    private Money checkCash;
    /**
     * happenAmt .
     */
    private Money happenAmt;
    /**
     * repoClear 待结算收入.
     */
    private Money repoClear;
    /**
     * repoOnWay 在途收入.
     */
    private Money repoOnWay;
    /**
     * frozenCash 当前冻结水位.
     */
    private Money frozenCash;
    /**
     * accGrantAmt 累计投放.
     */
    private Money accGrantAmt;
    /**
     * lastBankBal 变更前银行账户余额.
     */
    private Money lastBankBal;
    /**
     * lastAccGrant 上一日转让金额.
     */
    private Money lastAccGrant;
    /**
     * lastPayClear 变更前待结算支出.
     */
    private Money lastPayClear;
    /**
     * lastPayOnWay 变更前在途支出.
     */
    private Money lastPayOnWay;
    /**
     * frozenCashAmt 冻结发生额.
     */
    private Money frozenCashAmt;
    /**
     * lastCheckCash 变更前水位校验金额.
     */
    private Money lastCheckCash;
    /**
     * lastRepoClear 变更前待结算收入.
     */
    private Money lastRepoClear;
    /**
     * lastRepoOnWay 变更前在途收入.
     */
    private Money lastRepoOnWay;
    /**
     * lastFrozenCash 变更前冻结水位.
     */
    private Money lastFrozenCash;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set extInf 扩展字段.
     */
    public void setExtInf(String extInf){
        this.extInf = extInf;
    }

    /**
     * Get extInf 扩展字段.
     *
     * @return the string
     */
    public String getExtInf(){
        return extInf;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set transCode 交易场景码.
     */
    public void setTransCode(String transCode){
        this.transCode = transCode;
    }

    /**
     * Get transCode 交易场景码.
     *
     * @return the string
     */
    public String getTransCode(){
        return transCode;
    }

    /**
     * Set changeType 变更类型.
     */
    public void setChangeType(String changeType){
        this.changeType = changeType;
    }

    /**
     * Get changeType 变更类型.
     *
     * @return the string
     */
    public String getChangeType(){
        return changeType;
    }

    /**
     * Set traderType 交易对象类型.
     */
    public void setTraderType(String traderType){
        this.traderType = traderType;
    }

    /**
     * Get traderType 交易对象类型.
     *
     * @return the string
     */
    public String getTraderType(){
        return traderType;
    }

    /**
     * Set transBizNo 关联业务编号.
     */
    public void setTransBizNo(String transBizNo){
        this.transBizNo = transBizNo;
    }

    /**
     * Get transBizNo 关联业务编号.
     *
     * @return the string
     */
    public String getTransBizNo(){
        return transBizNo;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set accountDate 会记日.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会记日.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set gmtModified 最后更新时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 最后更新时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set cash 当前水位.
     */
    public void setCash(Money cash){
        this.cash = cash;
    }

    /**
     * Get cash 当前水位.
     *
     * @return the string
     */
    public Money getCash(){
        if(cash==null){
            return new Money();
        }
        return cash;
    }

    /**
     * Set bankBal 银行账户余额.
     */
    public void setBankBal(Money bankBal){
        this.bankBal = bankBal;
    }

    /**
     * Get bankBal 银行账户余额.
     *
     * @return the string
     */
    public Money getBankBal(){
        if(bankBal==null){
            return new Money();
        }
        return bankBal;
    }

    /**
     * Set cashAmt 水位变更发生额.
     */
    public void setCashAmt(Money cashAmt){
        this.cashAmt = cashAmt;
    }

    /**
     * Get cashAmt 水位变更发生额.
     *
     * @return the string
     */
    public Money getCashAmt(){
        if(cashAmt==null){
            return new Money();
        }
        return cashAmt;
    }

    /**
     * Set accGrant 当日累计转让金额.
     */
    public void setAccGrant(Money accGrant){
        this.accGrant = accGrant;
    }

    /**
     * Get accGrant 当日累计转让金额.
     *
     * @return the string
     */
    public Money getAccGrant(){
        if(accGrant==null){
            return new Money();
        }
        return accGrant;
    }

    /**
     * Set lastCash 变更前水位.
     */
    public void setLastCash(Money lastCash){
        this.lastCash = lastCash;
    }

    /**
     * Get lastCash 变更前水位.
     *
     * @return the string
     */
    public Money getLastCash(){
        if(lastCash==null){
            return new Money();
        }
        return lastCash;
    }

    /**
     * Set payClear 待结算支出.
     */
    public void setPayClear(Money payClear){
        this.payClear = payClear;
    }

    /**
     * Get payClear 待结算支出.
     *
     * @return the string
     */
    public Money getPayClear(){
        if(payClear==null){
            return new Money();
        }
        return payClear;
    }

    /**
     * Set payOnWay 在途支出.
     */
    public void setPayOnWay(Money payOnWay){
        this.payOnWay = payOnWay;
    }

    /**
     * Get payOnWay 在途支出.
     *
     * @return the string
     */
    public Money getPayOnWay(){
        if(payOnWay==null){
            return new Money();
        }
        return payOnWay;
    }

    /**
     * Set checkCash 水位校验金额.
     */
    public void setCheckCash(Money checkCash){
        this.checkCash = checkCash;
    }

    /**
     * Get checkCash 水位校验金额.
     *
     * @return the string
     */
    public Money getCheckCash(){
        if(checkCash==null){
            return new Money();
        }
        return checkCash;
    }

    /**
     * Set happenAmt .
     */
    public void setHappenAmt(Money happenAmt){
        this.happenAmt = happenAmt;
    }

    /**
     * Get happenAmt .
     *
     * @return the string
     */
    public Money getHappenAmt(){
        if(happenAmt==null){
            return new Money();
        }
        return happenAmt;
    }

    /**
     * Set repoClear 待结算收入.
     */
    public void setRepoClear(Money repoClear){
        this.repoClear = repoClear;
    }

    /**
     * Get repoClear 待结算收入.
     *
     * @return the string
     */
    public Money getRepoClear(){
        if(repoClear==null){
            return new Money();
        }
        return repoClear;
    }

    /**
     * Set repoOnWay 在途收入.
     */
    public void setRepoOnWay(Money repoOnWay){
        this.repoOnWay = repoOnWay;
    }

    /**
     * Get repoOnWay 在途收入.
     *
     * @return the string
     */
    public Money getRepoOnWay(){
        if(repoOnWay==null){
            return new Money();
        }
        return repoOnWay;
    }

    /**
     * Set frozenCash 当前冻结水位.
     */
    public void setFrozenCash(Money frozenCash){
        this.frozenCash = frozenCash;
    }

    /**
     * Get frozenCash 当前冻结水位.
     *
     * @return the string
     */
    public Money getFrozenCash(){
        if(frozenCash==null){
            return new Money();
        }
        return frozenCash;
    }

    /**
     * Set accGrantAmt 累计投放.
     */
    public void setAccGrantAmt(Money accGrantAmt){
        this.accGrantAmt = accGrantAmt;
    }

    /**
     * Get accGrantAmt 累计投放.
     *
     * @return the string
     */
    public Money getAccGrantAmt(){
        if(accGrantAmt==null){
            return new Money();
        }
        return accGrantAmt;
    }

    /**
     * Set lastBankBal 变更前银行账户余额.
     */
    public void setLastBankBal(Money lastBankBal){
        this.lastBankBal = lastBankBal;
    }

    /**
     * Get lastBankBal 变更前银行账户余额.
     *
     * @return the string
     */
    public Money getLastBankBal(){
        if(lastBankBal==null){
            return new Money();
        }
        return lastBankBal;
    }

    /**
     * Set lastAccGrant 上一日转让金额.
     */
    public void setLastAccGrant(Money lastAccGrant){
        this.lastAccGrant = lastAccGrant;
    }

    /**
     * Get lastAccGrant 上一日转让金额.
     *
     * @return the string
     */
    public Money getLastAccGrant(){
        if(lastAccGrant==null){
            return new Money();
        }
        return lastAccGrant;
    }

    /**
     * Set lastPayClear 变更前待结算支出.
     */
    public void setLastPayClear(Money lastPayClear){
        this.lastPayClear = lastPayClear;
    }

    /**
     * Get lastPayClear 变更前待结算支出.
     *
     * @return the string
     */
    public Money getLastPayClear(){
        if(lastPayClear==null){
            return new Money();
        }
        return lastPayClear;
    }

    /**
     * Set lastPayOnWay 变更前在途支出.
     */
    public void setLastPayOnWay(Money lastPayOnWay){
        this.lastPayOnWay = lastPayOnWay;
    }

    /**
     * Get lastPayOnWay 变更前在途支出.
     *
     * @return the string
     */
    public Money getLastPayOnWay(){
        if(lastPayOnWay==null){
            return new Money();
        }
        return lastPayOnWay;
    }

    /**
     * Set frozenCashAmt 冻结发生额.
     */
    public void setFrozenCashAmt(Money frozenCashAmt){
        this.frozenCashAmt = frozenCashAmt;
    }

    /**
     * Get frozenCashAmt 冻结发生额.
     *
     * @return the string
     */
    public Money getFrozenCashAmt(){
        if(frozenCashAmt==null){
            return new Money();
        }
        return frozenCashAmt;
    }

    /**
     * Set lastCheckCash 变更前水位校验金额.
     */
    public void setLastCheckCash(Money lastCheckCash){
        this.lastCheckCash = lastCheckCash;
    }

    /**
     * Get lastCheckCash 变更前水位校验金额.
     *
     * @return the string
     */
    public Money getLastCheckCash(){
        if(lastCheckCash==null){
            return new Money();
        }
        return lastCheckCash;
    }

    /**
     * Set lastRepoClear 变更前待结算收入.
     */
    public void setLastRepoClear(Money lastRepoClear){
        this.lastRepoClear = lastRepoClear;
    }

    /**
     * Get lastRepoClear 变更前待结算收入.
     *
     * @return the string
     */
    public Money getLastRepoClear(){
        if(lastRepoClear==null){
            return new Money();
        }
        return lastRepoClear;
    }

    /**
     * Set lastRepoOnWay 变更前在途收入.
     */
    public void setLastRepoOnWay(Money lastRepoOnWay){
        this.lastRepoOnWay = lastRepoOnWay;
    }

    /**
     * Get lastRepoOnWay 变更前在途收入.
     *
     * @return the string
     */
    public Money getLastRepoOnWay(){
        if(lastRepoOnWay==null){
            return new Money();
        }
        return lastRepoOnWay;
    }

    /**
     * Set lastFrozenCash 变更前冻结水位.
     */
    public void setLastFrozenCash(Money lastFrozenCash){
        this.lastFrozenCash = lastFrozenCash;
    }

    /**
     * Get lastFrozenCash 变更前冻结水位.
     *
     * @return the string
     */
    public Money getLastFrozenCash(){
        if(lastFrozenCash==null){
            return new Money();
        }
        return lastFrozenCash;
    }
}
