package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstSyncTaskCtrDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_ast_sync_task_ctr.
 * 资产同步控制任务
 */
public interface AstSyncTaskCtrDOMapper{

    /**
     * desc:插入表:abs_ast_sync_task_ctr.<br/>
     * @param entity entity
     * @return int
     */
    int insert(AstSyncTaskCtrDO entity);
    /**
     * desc:更新表:abs_ast_sync_task_ctr.<br/>
     * @param extData extData
     * @param orgCode orgCode
     * @return int
     */
    int updateExtData(@Param("extData")String extData,@Param("orgCode")String orgCode);
    /**
     * desc:根据主键获取数据:abs_ast_sync_task_ctr.<br/>
     * @return List<AstSyncTaskCtrDO>
     */
    List<AstSyncTaskCtrDO> getByOrgCodes();
    /**
     * desc:根据主键获取数据:abs_ast_sync_task_ctr.<br/>
     * @param orgCode orgCode
     * @return AstSyncTaskCtrDO
     */
    AstSyncTaskCtrDO getByOrgCode(@Param("orgCode")String orgCode);
    /**
     * desc:根据主键获取数据:abs_ast_sync_task_ctr.<br/>
     * @param orgCode orgCode
     * @return AstSyncTaskCtrDO
     */
    AstSyncTaskCtrDO lockByOrgCode(@Param("orgCode")String orgCode);
}
