package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanInstalDO;
import java.util.List;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanInstalFormationItem;
import java.util.Date;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_loan_instal.
 * 还款计划明细
 */
public interface LoanInstalDOMapper{

    /**
     * desc:批量插入表:abs_loan_instal.<br/>
     * @param entity entity
     * @return int
     */
    int insert(LoanInstalDO entity);
    /**
     * desc:根据唯一约束AbsLoanInstal更新表:abs_loan_instal.<br/>
     * @param entity entity
     * @return int
     */
    int update(LoanInstalDO entity);
    /**
     * desc:根据唯一约束AbsLoanInstal获取数据:abs_loan_instal.<br/>
     * @param astNo astNo
     * @return List<LoanInstalDO>
     */
    List<LoanInstalDO> getByAstNo(@Param("astNo")String astNo);
    /**
     * desc:获取对应计划的资产数量.<br/>
     * @param ownOrg ownOrg
     * @param list list
     * @return Long
     */
    Long getPlanAstCount(@Param("ownOrg")String ownOrg,@Param("list")List<String> list);
    /**
     * desc:获取资产当前剩余分期数量及余额总计.<br/>
     * @param ownOrg ownOrg
     * @return List<LoanInstalFormationItem>
     */
    List<LoanInstalFormationItem> queryAstFormation(@Param("ownOrg")String ownOrg);
    /**
     * desc:获取资产最大分期及余额总计.<br/>
     * @param ownOrg ownOrg
     * @return List<LoanInstalFormationItem>
     */
    List<LoanInstalFormationItem> queryProdFormation(@Param("ownOrg")String ownOrg);
    /**
     * desc:获取计划当前资产规模.<br/>
     * @param ownOrg ownOrg
     * @return Long
     */
    Long getPlanAstScale(@Param("ownOrg")String ownOrg);
    /**
     * desc:获取计划时间区间内应还汇总金额.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param ownOrg ownOrg
     * @return Long
     */
    Long getPlanAstShouldScaleByEndDate(@Param("endDate")Date endDate,@Param("startDate")Date startDate,@Param("ownOrg")String ownOrg);
}
