package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanClearingLogDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanClearingLogStat;
import com.abssqr.plat.common.dal.base.StatEntity;
import java.lang.Long;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_clearing_log.
 * ABS_PLAN_CLEARING_LOG
 */
public interface PlanClearingLogDOMapper{

    /**
     * desc:插入表:abs_plan_clearing_log.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanClearingLogDO> list);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param maxId maxId
     * @param minId minId
     * @param planNo planNo
     * @param execTms execTms
     * @return List<LoanClearingLogStat>
     */
    List<LoanClearingLogStat> stat(@Param("accountDate")Date accountDate,@Param("maxId")Long maxId,@Param("minId")Long minId,@Param("planNo")String planNo,@Param("execTms")String execTms);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param maxId maxId
     * @param minId minId
     * @param planNo planNo
     * @param execTms execTms
     * @return int
     */
    int deleteStated(@Param("accountDate")Date accountDate,@Param("maxId")Long maxId,@Param("minId")Long minId,@Param("planNo")String planNo,@Param("execTms")String execTms);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param execTms execTms
     * @return StatEntity
     */
    StatEntity getStatInx(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("execTms")String execTms);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param planNo planNo
     * @param transCode transCode
     * @return Date
     */
    Date getMinUnStateAccountDate(@Param("planNo")String planNo,@Param("transCode")String transCode);
    /**
     * desc:查看清算流水是否都处理完.<br/>
     * @param planNo planNo
     * @return Long
     */
    Long cntInitClearingLogByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:查看清算流水是否都处理完.<br/>
     * @param transCode transCode
     * @return Long
     */
    Long cntInitClearingLog(@Param("transCode")String transCode);
}
