package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_report.
 * ABS_PLAN_REPORT
 */
public interface PlanReportDOMapper{

    /**
     * desc:插入表:abs_plan_report.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanReportDO entity);
    /**
     * desc:根据主键获取数据:abs_plan_report.<br/>
     * @param planNo planNo
     * @param rptType rptType
     * @return PlanReportDO
     */
    PlanReportDO getLatest(@Param("planNo")String planNo,@Param("rptType")String rptType);
    /**
     * desc:根据主键获取数据:abs_plan_report.<br/>
     * @param planNo planNo
     * @param rptDate rptDate
     * @param rptType rptType
     * @return PlanReportDO
     */
    PlanReportDO getReport(@Param("planNo")String planNo,@Param("rptDate")String rptDate,@Param("rptType")String rptType);
    /**
     * desc:根据主键获取数据:abs_plan_report.<br/>
     * @param planNo planNo
     * @param endDate endDate
     * @param rptType rptType
     * @param startDate startDate
     * @return List<PlanReportDO>
     */
    List<PlanReportDO> getByDate(@Param("planNo")String planNo,@Param("endDate")String endDate,@Param("rptType")String rptType,@Param("startDate")String startDate);
    /**
     * desc:根据主键获取数据:abs_plan_report.<br/>
     * @param planNo planNo
     * @param rptType rptType
     * @param dateList dateList
     * @return List<PlanReportDO>
     */
    List<PlanReportDO> getByDateList(@Param("planNo")String planNo,@Param("rptType")String rptType,@Param("dateList")List<String> dateList);
}
