package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanTaskLogDO;
import java.util.List;
import java.util.Date;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_task_log.
 * ABS_PLAN_TASK_LOG
 */
public interface PlanTaskLogDOMapper{

    /**
     * desc:插入表:abs_plan_task_log.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanTaskLogDO entity);
    /**
     * desc:批量插入表:abs_plan_task_log.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanTaskLogDO> list);
    /**
     * desc:根据主键删除数据:abs_plan_task_log.<br/>
     * @param execDate execDate
     * @param planNo planNo
     * @param taskType taskType
     * @return PlanTaskLogDO
     */
    PlanTaskLogDO delByPlanNoAndDate(@Param("execDate")Date execDate,@Param("planNo")String planNo,@Param("taskType")String taskType);
    /**
     * desc:根据主键获取数据:abs_plan_task_log.<br/>
     * @param execDate execDate
     * @param planNo planNo
     * @param taskType taskType
     * @return PlanTaskLogDO
     */
    PlanTaskLogDO getByPlanNoAndDate(@Param("execDate")Date execDate,@Param("planNo")String planNo,@Param("taskType")String taskType);
    /**
     * desc:根据主键获取数据:abs_plan_task_log.<br/>
     * @param execDate execDate
     * @param taskType taskType
     * @return List<PlanTaskLogDO>
     */
    List<PlanTaskLogDO> getTasks(@Param("execDate")Date execDate,@Param("taskType")String taskType);
}
