/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author hanfei
 * @version $Id: AbssqrNoticeTypeEnum.java, v 0.1 2019-07-26 3:17 PM hanfei Exp $ 
 */
public enum AbssqrNoticeTypeEnum implements IEnum {
    
    PlanAllocRisk("PlanAllocRisk", "计划分配兑付风险"),
    
    PlanCapital("PlanCapital", "支付交易单执行异常"),
    
    WkMfsSync("WkMfsSync", "五矿资产同步异常"),

    WkMfsModTransform("WkMfsModTransform", "五矿资产模型转换异常"),

    TransferAst("TransferAst", "资产转让任务异常"),
    
    PlanAstStat("PlanAstStat", "计划统计任务异常"),

    BankFundBal("BankFundBal", "银行账户余额短帐异常"),

    HostHeart("HostHeart","服务器心跳超时异常"),

    PlanPack("PlanPack","计划资产包任务异常"),

    PlanAstMatch("PlanAstMatch","资产包筛选任务异常"),

    CapitalOrder("CapitalOrder","支付任务异常"),

    WkPayManager("WkPayManager","五矿返回结果异常"),

    PlanDailyKeeper("PlanDailyKeeper","每日计划任务异常"),

    WkDataCheck("WkDataCheck","五矿数据核验"),

    DataCheck("DataCheck","内部数据核验"),

    BalanceCheck("BalanceCheck","放款池还款户余额查询"),

    AstModCompleteCheck("AstModCompleteCheck","每日模型转换是否已完成"),

    BalanceReport("BalanceReport","每日放款池余额通知"),

    CapitalAstMatch("CapitalAstMatch","资金资产匹配"),

    OrgDayRepay("orgDayRepay","机构每日还款")
    ;

    private static final Map<String, AbssqrNoticeTypeEnum> codeMap = new HashMap<>();
    
    static {
        for (AbssqrNoticeTypeEnum item : AbssqrNoticeTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    AbssqrNoticeTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static AbssqrNoticeTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }


    
}
