/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.enums;

import java.util.HashMap;
import java.util.Map;

import com.general.system.common.model.IEnum;

/**
 *筛选规则条件
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.enums: AstScreenRuleConditionEnum.java, v 0.1 2020-04-18 6:30 PM xiachenxiang Exp $
 */
public enum AstScRuleRightCondEnum implements IEnum {
    lt("lt","<"),
    le("le","<="),
    eq("eq","="),
    in("in","in"),
    ;

    private static final Map<String, AstScRuleRightCondEnum> codeMap = new HashMap<String, AstScRuleRightCondEnum>();

    static {
        for (AstScRuleRightCondEnum item : AstScRuleRightCondEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private AstScRuleRightCondEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static AstScRuleRightCondEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}