/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import java.util.HashMap;
import java.util.Map;

import com.general.system.common.model.IEnum;

/**
 * 金融服务费收费模式
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.enums: FundTypeEnum.java, v 0.1 2018-01-03 21:57 hongwei.wang Exp $
 */
public enum FinSerFeeTypeEnum implements IEnum {
    WITHHOLD("WITHHOLD", "服务机构代扣"),
   // FSF002("FSF002", "按期结算"),

    //
    ;

    private static final Map<String, FinSerFeeTypeEnum> codeMap = new HashMap<String, FinSerFeeTypeEnum>();

    static {
        for (FinSerFeeTypeEnum item : FinSerFeeTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String        code;
    private String        desc;

    FinSerFeeTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static FinSerFeeTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }

}