/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 定价规则类型
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.enums: PriceTypeEnum.java, v 0.1 2019-11-07 10:54 AM xiachenxiang Exp $
 */
public enum PriceTypeEnum implements IEnum {
    EQUAL("EQUAL", "平价转让"),
//    DISOCUNT("DISCOUNT", "折价转让"),
    SPLIT_PROFIT("SPLIT_PFT", "收益分润");

    private static final Map<String, PriceTypeEnum> codeMap = new HashMap<String, PriceTypeEnum>();

    static {
        for (PriceTypeEnum item : PriceTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    PriceTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private String code;
    private String desc;

    public static PriceTypeEnum getByCode(String code) {
        return codeMap.get(code) == null ? EQUAL : codeMap.get(code);
    }
    public static PriceTypeEnum getByCodeNoDefault(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}