/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 机构收益类型
 *
 * @author zhenxuan.luo
 * @version $Id: ProfitTypeEnum.java, v 0.1 2017-06-07 下午18:38 zhenxuan.luo Exp $
 */
public enum ProfitTypeEnum implements IEnum {
    OWN("own", "资产持有"),
    
    SPLIT("split", "交易分润"),
    
    ;
    
    private static final Map<String, ProfitTypeEnum> codeMap = new HashMap<String, ProfitTypeEnum>();
    
    static {
        for (ProfitTypeEnum item : ProfitTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private ProfitTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static ProfitTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
}