/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author guozhenhua
 * @version com.abssqr.common.model.enums: LoanTypeEnum.java, v 0.1 2017-12-18 上午10:45 guozhenhua Exp $
 */
public enum RateTypeEnum implements IEnum {
    
    RT01("01", "年利率"),
    RT02("02", "月利率"),
    RT03("03", "日利率"),
    ;
    
    private static final Map<String, RateTypeEnum> codeMap = new HashMap<String, RateTypeEnum>();

    static {
        for (RateTypeEnum item : RateTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    RateTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static RateTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}
