/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 报表类型枚举类
 *
 * @author zhenhua.guo
 * @version $Id: ReportAstStatTypeEnum.java, v 0.1 2017-06-07 下午18:38 zhenhua.guo Exp $
 */
public enum ReportDimTypeEnum implements IEnum {
    
    BAL("bal", "余额"),
    
    AMT("amt", "发生额"),
    
    ACCRUED("accrued", "应计"),
    
    ;
    
    private static final Map<String, ReportDimTypeEnum> codeMap = new HashMap<String, ReportDimTypeEnum>();
    
    static {
        for (ReportDimTypeEnum item : ReportDimTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private ReportDimTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static ReportDimTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}