/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import java.util.HashMap;
import java.util.Map;

import com.general.system.common.model.IEnum;

/**
 * 任务状态枚举类
 *
 * @author zhenxuan.luo
 * @version $Id: TaskStatusEnum.java, v 0.1 2017-06-07 下午18:38 zhenxuan.luo Exp $
 */
public enum TaskGroupTypeEnum implements IEnum {
    ID_RANGE("id_range", "范围", Long.class),
    NO_RANGE("no_range", "范围", String.class),
    ID_LIST("id_list", "列表", Long.class),
    NO_LIST("no_list", "列表", String.class),

    ;

    private static final Map<String, TaskGroupTypeEnum> codeMap = new HashMap<String, TaskGroupTypeEnum>();

    static {
        for (TaskGroupTypeEnum item : TaskGroupTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;
    private Class  clazz;

    TaskGroupTypeEnum(String code, String desc, Class clazz) {
        this.code = code;
        this.desc = desc;
        this.clazz = clazz;
    }

    public static TaskGroupTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public Class getClazz() {
        return clazz;
    }
}