package com.abssqr.plat.common.facade.model.ast;

import java.util.Date;

/**
 * The table 信贷资产
 */
public class DownLoadLoanEntity{

    /**
     * transCnt 交易次数.
     */
    private Long transCnt;
    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * certNo .
     */
    private String certNo;
    /**
     * extInf 扩展信息.
     */
    private String extInf;
    /**
     * ownOrg 所属资产池编号.
     */
    private String ownOrg;
    /**
     * prodNo 产品码.
     */
    private String prodNo;
    /**
     * riskCl 资产五级分类.
     */
    private String riskCl;
    /**
     * status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    private String status;
    /**
     * userId .
     */
    private String userId;
    /**
     * ownPack 所属资产包.
     */
    private String ownPack;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * capitalNo 资金编号.
     */
    private String capitalNo;
    /**
     * layerName 投资结构名称.
     */
    private String layerName;
    /**
     * outProdNo 外部产品码.
     */
    private String outProdNo;
    /**
     * ownStatus .
     */
    private String ownStatus;
    /**
     * wtfStatus .
     */
    private String wtfStatus;
    /**
     * contractNo 合同编号.
     */
    private String contractNo;
    /**
     * lastOwnOrg 前所属机构（计划）.
     */
    private String lastOwnOrg;
    /**
     * lenderOrgCode 原始权益机构（计划）.
     */
    private String lenderOrgCode;
    /**
     * managerOrgCode 资产管理服务机构.
     */
    private String managerOrgCode;
    /**
     * sponserOrgCode 业务牵头机构.
     */
    private String sponserOrgCode;
    /**
     * curTerm 当前期.
     */
    private Integer curTerm;
    /**
     * ovdDays 逾期天数.
     */
    private Integer ovdDays;
    /**
     * termCnt 总期次.
     */
    private Integer termCnt;
    /**
     * inDate 资产流入时间(YYYYMMDD).
     */
    private Date inDate;
    /**
     * endDate 借据到期日(YYYYMMDD).
     */
    private Date endDate;
    /**
     * disbDate .
     */
    private Date disbDate;
    /**
     * clearDate 结清日期.
     */
    private Date clearDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * startDate 借据开始日期(YYYYMMDD).
     */
    private Date startDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastUpdateDate 最近数据更新日.
     */
    private Date lastUpdateDate;
    /**
     * feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    private String feeBal;
    /**
     * intrBal 利息余额.
     */
    private String intrBal;
    /**
     * prinBal 本金余额.
     */
    private String prinBal;
    /**
     * ovdFeeBal .
     */
    private String ovdFeeBal;
    /**
     * ovdIntrBal .
     */
    private String ovdIntrBal;
    /**
     * ovdPrinBal .
     */
    private String ovdPrinBal;
    /**
     * paidFeeAmt 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    private String paidFeeAmt;
    /**
     * feePenalBal 由分期费用逾期产生的滞纳金余额.
     */
    private String feePenalBal;
    /**
     * otherFeeBal 其他费用余额.
     */
    private String otherFeeBal;
    /**
     * paidIntrAmt 利息余额.
     */
    private String paidIntrAmt;
    /**
     * paidPrinAmt 本金余额.
     */
    private String paidPrinAmt;
    /**
     * intrPenalBal 由逾期利息产生的罚息.
     */
    private String intrPenalBal;
    /**
     * prinPenalBal 由逾期本金产生的罚息.
     */
    private String prinPenalBal;
    /**
     * paidFeePenalAmt 由分期费用逾期产生的滞纳金余额.
     */
    private String paidFeePenalAmt;
    /**
     * paidOtherFeeAmt 其他费用余额.
     */
    private String paidOtherFeeAmt;
    /**
     * otherFeePenalBal 其他费用滞纳金余额.
     */
    private String otherFeePenalBal;
    /**
     * paidIntrPenalAmt 由逾期利息产生的罚息.
     */
    private String paidIntrPenalAmt;
    /**
     * paidPrinPenalAmt 由逾期本金产生的罚息.
     */
    private String paidPrinPenalAmt;
    /**
     * paidOtherFeePenalAmt 其他费用滞纳金余额.
     */
    private String paidOtherFeePenalAmt;

    /**
     * Set transCnt 交易次数.
     */
    public void setTransCnt(Long transCnt){
        this.transCnt = transCnt;
    }

    /**
     * Get transCnt 交易次数.
     *
     * @return the string
     */
    public Long getTransCnt(){
        return transCnt;
    }

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set certNo .
     */
    public void setCertNo(String certNo){
        this.certNo = certNo;
    }

    /**
     * Get certNo .
     *
     * @return the string
     */
    public String getCertNo(){
        return certNo;
    }

    /**
     * Set extInf 扩展信息.
     */
    public void setExtInf(String extInf){
        this.extInf = extInf;
    }

    /**
     * Get extInf 扩展信息.
     *
     * @return the string
     */
    public String getExtInf(){
        return extInf;
    }

    /**
     * Set ownOrg 所属资产池编号.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 所属资产池编号.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set prodNo 产品码.
     */
    public void setProdNo(String prodNo){
        this.prodNo = prodNo;
    }

    /**
     * Get prodNo 产品码.
     *
     * @return the string
     */
    public String getProdNo(){
        return prodNo;
    }

    /**
     * Set riskCl 资产五级分类.
     */
    public void setRiskCl(String riskCl){
        this.riskCl = riskCl;
    }

    /**
     * Get riskCl 资产五级分类.
     *
     * @return the string
     */
    public String getRiskCl(){
        return riskCl;
    }

    /**
     * Set status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set userId .
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * Get userId .
     *
     * @return the string
     */
    public String getUserId(){
        return userId;
    }

    /**
     * Set ownPack 所属资产包.
     */
    public void setOwnPack(String ownPack){
        this.ownPack = ownPack;
    }

    /**
     * Get ownPack 所属资产包.
     *
     * @return the string
     */
    public String getOwnPack(){
        return ownPack;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set capitalNo 资金编号.
     */
    public void setCapitalNo(String capitalNo){
        this.capitalNo = capitalNo;
    }

    /**
     * Get capitalNo 资金编号.
     *
     * @return the string
     */
    public String getCapitalNo(){
        return capitalNo;
    }

    /**
     * Set layerName 投资结构名称.
     */
    public void setLayerName(String layerName){
        this.layerName = layerName;
    }

    /**
     * Get layerName 投资结构名称.
     *
     * @return the string
     */
    public String getLayerName(){
        return layerName;
    }

    /**
     * Set outProdNo 外部产品码.
     */
    public void setOutProdNo(String outProdNo){
        this.outProdNo = outProdNo;
    }

    /**
     * Get outProdNo 外部产品码.
     *
     * @return the string
     */
    public String getOutProdNo(){
        return outProdNo;
    }

    /**
     * Set ownStatus .
     */
    public void setOwnStatus(String ownStatus){
        this.ownStatus = ownStatus;
    }

    /**
     * Get ownStatus .
     *
     * @return the string
     */
    public String getOwnStatus(){
        return ownStatus;
    }

    /**
     * Set wtfStatus .
     */
    public void setWtfStatus(String wtfStatus){
        this.wtfStatus = wtfStatus;
    }

    /**
     * Get wtfStatus .
     *
     * @return the string
     */
    public String getWtfStatus(){
        return wtfStatus;
    }

    /**
     * Set contractNo 合同编号.
     */
    public void setContractNo(String contractNo){
        this.contractNo = contractNo;
    }

    /**
     * Get contractNo 合同编号.
     *
     * @return the string
     */
    public String getContractNo(){
        return contractNo;
    }

    /**
     * Set lastOwnOrg 前所属机构（计划）.
     */
    public void setLastOwnOrg(String lastOwnOrg){
        this.lastOwnOrg = lastOwnOrg;
    }

    /**
     * Get lastOwnOrg 前所属机构（计划）.
     *
     * @return the string
     */
    public String getLastOwnOrg(){
        return lastOwnOrg;
    }

    /**
     * Set lenderOrgCode 原始权益机构（计划）.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构（计划）.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set managerOrgCode 资产管理服务机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 资产管理服务机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set sponserOrgCode 业务牵头机构.
     */
    public void setSponserOrgCode(String sponserOrgCode){
        this.sponserOrgCode = sponserOrgCode;
    }

    /**
     * Get sponserOrgCode 业务牵头机构.
     *
     * @return the string
     */
    public String getSponserOrgCode(){
        return sponserOrgCode;
    }

    /**
     * Set curTerm 当前期.
     */
    public void setCurTerm(Integer curTerm){
        this.curTerm = curTerm;
    }

    /**
     * Get curTerm 当前期.
     *
     * @return the string
     */
    public Integer getCurTerm(){
        return curTerm;
    }

    /**
     * Set ovdDays 逾期天数.
     */
    public void setOvdDays(Integer ovdDays){
        this.ovdDays = ovdDays;
    }

    /**
     * Get ovdDays 逾期天数.
     *
     * @return the string
     */
    public Integer getOvdDays(){
        return ovdDays;
    }

    /**
     * Set termCnt 总期次.
     */
    public void setTermCnt(Integer termCnt){
        this.termCnt = termCnt;
    }

    /**
     * Get termCnt 总期次.
     *
     * @return the string
     */
    public Integer getTermCnt(){
        return termCnt;
    }

    /**
     * Set inDate 资产流入时间(YYYYMMDD).
     */
    public void setInDate(Date inDate){
        this.inDate = inDate;
    }

    /**
     * Get inDate 资产流入时间(YYYYMMDD).
     *
     * @return the string
     */
    public Date getInDate(){
        return inDate;
    }

    /**
     * Set endDate 借据到期日(YYYYMMDD).
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 借据到期日(YYYYMMDD).
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set disbDate .
     */
    public void setDisbDate(Date disbDate){
        this.disbDate = disbDate;
    }

    /**
     * Get disbDate .
     *
     * @return the string
     */
    public Date getDisbDate(){
        return disbDate;
    }

    /**
     * Set clearDate 结清日期.
     */
    public void setClearDate(Date clearDate){
        this.clearDate = clearDate;
    }

    /**
     * Get clearDate 结清日期.
     *
     * @return the string
     */
    public Date getClearDate(){
        return clearDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set startDate 借据开始日期(YYYYMMDD).
     */
    public void setStartDate(Date startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 借据开始日期(YYYYMMDD).
     *
     * @return the string
     */
    public Date getStartDate(){
        return startDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastUpdateDate 最近数据更新日.
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate 最近数据更新日.
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }

    /**
     * Set feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    public void setFeeBal(String feeBal){
        this.feeBal = feeBal;
    }

    /**
     * Get feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     *
     * @return the string
     */
    public String getFeeBal(){
        if(feeBal==null){
            return new String();
        }
        return feeBal;
    }

    /**
     * Set intrBal 利息余额.
     */
    public void setIntrBal(String intrBal){
        this.intrBal = intrBal;
    }

    /**
     * Get intrBal 利息余额.
     *
     * @return the string
     */
    public String getIntrBal(){
        if(intrBal==null){
            return new String();
        }
        return intrBal;
    }

    /**
     * Set prinBal 本金余额.
     */
    public void setPrinBal(String prinBal){
        this.prinBal = prinBal;
    }

    /**
     * Get prinBal 本金余额.
     *
     * @return the string
     */
    public String getPrinBal(){
        if(prinBal==null){
            return new String();
        }
        return prinBal;
    }

    /**
     * Set ovdFeeBal .
     */
    public void setOvdFeeBal(String ovdFeeBal){
        this.ovdFeeBal = ovdFeeBal;
    }

    /**
     * Get ovdFeeBal .
     *
     * @return the string
     */
    public String getOvdFeeBal(){
        if(ovdFeeBal==null){
            return new String();
        }
        return ovdFeeBal;
    }

    /**
     * Set ovdIntrBal .
     */
    public void setOvdIntrBal(String ovdIntrBal){
        this.ovdIntrBal = ovdIntrBal;
    }

    /**
     * Get ovdIntrBal .
     *
     * @return the string
     */
    public String getOvdIntrBal(){
        if(ovdIntrBal==null){
            return new String();
        }
        return ovdIntrBal;
    }

    /**
     * Set ovdPrinBal .
     */
    public void setOvdPrinBal(String ovdPrinBal){
        this.ovdPrinBal = ovdPrinBal;
    }

    /**
     * Get ovdPrinBal .
     *
     * @return the string
     */
    public String getOvdPrinBal(){
        if(ovdPrinBal==null){
            return new String();
        }
        return ovdPrinBal;
    }

    /**
     * Set paidFeeAmt 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    public void setPaidFeeAmt(String paidFeeAmt){
        this.paidFeeAmt = paidFeeAmt;
    }

    /**
     * Get paidFeeAmt 单指分期手续费，其他费用如，提前还款费等不在此列.
     *
     * @return the string
     */
    public String getPaidFeeAmt(){
        if(paidFeeAmt==null){
            return new String();
        }
        return paidFeeAmt;
    }

    /**
     * Set feePenalBal 由分期费用逾期产生的滞纳金余额.
     */
    public void setFeePenalBal(String feePenalBal){
        this.feePenalBal = feePenalBal;
    }

    /**
     * Get feePenalBal 由分期费用逾期产生的滞纳金余额.
     *
     * @return the string
     */
    public String getFeePenalBal(){
        if(feePenalBal==null){
            return new String();
        }
        return feePenalBal;
    }

    /**
     * Set otherFeeBal 其他费用余额.
     */
    public void setOtherFeeBal(String otherFeeBal){
        this.otherFeeBal = otherFeeBal;
    }

    /**
     * Get otherFeeBal 其他费用余额.
     *
     * @return the string
     */
    public String getOtherFeeBal(){
        if(otherFeeBal==null){
            return new String();
        }
        return otherFeeBal;
    }

    /**
     * Set paidIntrAmt 利息余额.
     */
    public void setPaidIntrAmt(String paidIntrAmt){
        this.paidIntrAmt = paidIntrAmt;
    }

    /**
     * Get paidIntrAmt 利息余额.
     *
     * @return the string
     */
    public String getPaidIntrAmt(){
        if(paidIntrAmt==null){
            return new String();
        }
        return paidIntrAmt;
    }

    /**
     * Set paidPrinAmt 本金余额.
     */
    public void setPaidPrinAmt(String paidPrinAmt){
        this.paidPrinAmt = paidPrinAmt;
    }

    /**
     * Get paidPrinAmt 本金余额.
     *
     * @return the string
     */
    public String getPaidPrinAmt(){
        if(paidPrinAmt==null){
            return new String();
        }
        return paidPrinAmt;
    }

    /**
     * Set intrPenalBal 由逾期利息产生的罚息.
     */
    public void setIntrPenalBal(String intrPenalBal){
        this.intrPenalBal = intrPenalBal;
    }

    /**
     * Get intrPenalBal 由逾期利息产生的罚息.
     *
     * @return the string
     */
    public String getIntrPenalBal(){
        if(intrPenalBal==null){
            return new String();
        }
        return intrPenalBal;
    }

    /**
     * Set prinPenalBal 由逾期本金产生的罚息.
     */
    public void setPrinPenalBal(String prinPenalBal){
        this.prinPenalBal = prinPenalBal;
    }

    /**
     * Get prinPenalBal 由逾期本金产生的罚息.
     *
     * @return the string
     */
    public String getPrinPenalBal(){
        if(prinPenalBal==null){
            return new String();
        }
        return prinPenalBal;
    }

    /**
     * Set paidFeePenalAmt 由分期费用逾期产生的滞纳金余额.
     */
    public void setPaidFeePenalAmt(String paidFeePenalAmt){
        this.paidFeePenalAmt = paidFeePenalAmt;
    }

    /**
     * Get paidFeePenalAmt 由分期费用逾期产生的滞纳金余额.
     *
     * @return the string
     */
    public String getPaidFeePenalAmt(){
        if(paidFeePenalAmt==null){
            return new String();
        }
        return paidFeePenalAmt;
    }

    /**
     * Set paidOtherFeeAmt 其他费用余额.
     */
    public void setPaidOtherFeeAmt(String paidOtherFeeAmt){
        this.paidOtherFeeAmt = paidOtherFeeAmt;
    }

    /**
     * Get paidOtherFeeAmt 其他费用余额.
     *
     * @return the string
     */
    public String getPaidOtherFeeAmt(){
        if(paidOtherFeeAmt==null){
            return new String();
        }
        return paidOtherFeeAmt;
    }

    /**
     * Set otherFeePenalBal 其他费用滞纳金余额.
     */
    public void setOtherFeePenalBal(String otherFeePenalBal){
        this.otherFeePenalBal = otherFeePenalBal;
    }

    /**
     * Get otherFeePenalBal 其他费用滞纳金余额.
     *
     * @return the string
     */
    public String getOtherFeePenalBal(){
        if(otherFeePenalBal==null){
            return new String();
        }
        return otherFeePenalBal;
    }

    /**
     * Set paidIntrPenalAmt 由逾期利息产生的罚息.
     */
    public void setPaidIntrPenalAmt(String paidIntrPenalAmt){
        this.paidIntrPenalAmt = paidIntrPenalAmt;
    }

    /**
     * Get paidIntrPenalAmt 由逾期利息产生的罚息.
     *
     * @return the string
     */
    public String getPaidIntrPenalAmt(){
        if(paidIntrPenalAmt==null){
            return new String();
        }
        return paidIntrPenalAmt;
    }

    /**
     * Set paidPrinPenalAmt 由逾期本金产生的罚息.
     */
    public void setPaidPrinPenalAmt(String paidPrinPenalAmt){
        this.paidPrinPenalAmt = paidPrinPenalAmt;
    }

    /**
     * Get paidPrinPenalAmt 由逾期本金产生的罚息.
     *
     * @return the string
     */
    public String getPaidPrinPenalAmt(){
        if(paidPrinPenalAmt==null){
            return new String();
        }
        return paidPrinPenalAmt;
    }

    /**
     * Set paidOtherFeePenalAmt 其他费用滞纳金余额.
     */
    public void setPaidOtherFeePenalAmt(String paidOtherFeePenalAmt){
        this.paidOtherFeePenalAmt = paidOtherFeePenalAmt;
    }

    /**
     * Get paidOtherFeePenalAmt 其他费用滞纳金余额.
     *
     * @return the string
     */
    public String getPaidOtherFeePenalAmt(){
        if(paidOtherFeePenalAmt==null){
            return new String();
        }
        return paidOtherFeePenalAmt;
    }
}
