/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;

/**
 * 计划结算科目(收付实现）
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.plan: PlanAccountItem.java, v 0.1 2019-05-31 15:28 zhenxuan.luo Exp $
 */
public class PlanAcctTitle extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = -824828356824592734L;

    /**
     * refNo 对应资金编号.
     */
    private String refNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * titleNo 科目编号.
     */
    private String titleNo;
    /**
     * titleName 科目名称.
     */
    private String titleName;
    /**
     * titleType 科目类型(本金，利息，费用).
     */
    private TitleTypeEnum titleType;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getRefNo() {
        return refNo;
    }

    public void setRefNo(String refNo) {
        this.refNo = refNo;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getTitleNo() {
        return titleNo;
    }

    public void setTitleNo(String titleNo) {
        this.titleNo = titleNo;
    }

    public String getTitleName() {
        return titleName;
    }

    public void setTitleName(String titleName) {
        this.titleName = titleName;
    }

    public TitleTypeEnum getTitleType() {
        return titleType;
    }

    public void setTitleType(TitleTypeEnum titleType) {
        this.titleType = titleType;
    }
}