/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.PlanCapitalTransTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.plan: PlanCapitalLog.java, v 0.1 2019-05-28 17:02 zhenxuan.luo Exp $
 */
public class PlanCapitalLog extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -4275524479383987492L;
    
    /**
     * planNo 计划编号.
     */
    private String                   planNo;
    /**
     * seqNo 流水号.
     */
    private String                   seqNo;
    /**
     * bizNo 业务号.
     */
    private String                   bizNo;
    /**
     * outBizNo 外部流水号.
     */
    private String                   outBizNo;
    /**
     * accountDate 交易日期（会计日）.
     */
    private Date                     accountDate;
    /**
     * transTime 交易时间.
     */
    private Date                     transTime;
    /**
     * transType 交易类型.
     */
    private PlanCapitalTransTypeEnum transType;
    /**
     * amt 发生额.
     */
    private Money                    amt;
    /**
     * aftBal 发生后余额.
     */
    private Money                   aftBal;
    /**
     * planAcct 计划资金账号.
     */
    private String                   planAcct;
    /**
     * cntPtyCode 对手方简称.
     */
    private String                   cntPtyCode;
    /**
     * cntPtyAcct 对手方资金账号.
     */
    private String                   cntPtyAcct;
    /**
     * memo 备注.
     */
    private String                   memo;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getSeqNo() {
        return seqNo;
    }
    
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public String getOutBizNo() {
        return outBizNo;
    }
    
    public void setOutBizNo(String outBizNo) {
        this.outBizNo = outBizNo;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public Date getTransTime() {
        return transTime;
    }
    
    public void setTransTime(Date transTime) {
        this.transTime = transTime;
    }
    
    public PlanCapitalTransTypeEnum getTransType() {
        return transType;
    }
    
    public void setTransType(PlanCapitalTransTypeEnum transType) {
        this.transType = transType;
    }
    
    public Money getAmt() {
        return amt;
    }
    
    public void setAmt(Money amt) {
        this.amt = amt;
    }
    
    public Money getAftBal() {
        return aftBal;
    }
    
    public void setAftBal(Money aftBal) {
        this.aftBal = aftBal;
    }
    
    public String getPlanAcct() {
        return planAcct;
    }
    
    public void setPlanAcct(String planAcct) {
        this.planAcct = planAcct;
    }
    
    public String getCntPtyCode() {
        return cntPtyCode;
    }
    
    public void setCntPtyCode(String cntPtyCode) {
        this.cntPtyCode = cntPtyCode;
    }
    
    public String getCntPtyAcct() {
        return cntPtyAcct;
    }
    
    public void setCntPtyAcct(String cntPtyAcct) {
        this.cntPtyAcct = cntPtyAcct;
    }
    
    public String getMemo() {
        return memo;
    }
    
    public void setMemo(String memo) {
        this.memo = memo;
    }
}