/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.util.DateTimeUtil;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report: DailyReportDateField.java, v 0.1 2019-06-28 20:06 zhenxuan.luo Exp $
 */
public class DailyReportDateField extends BaseEntity implements ReportDateField {
    
    private Date rptDate;
    
    @Override
    public void parse(String val) {
        this.rptDate = DateTimeUtil.parseFromYMD(val);
        
    }
    
    @Override
    public String desc() {
        return DateTimeUtil.formatYMD(rptDate);
    }
    
    @Override
    public DailyReportDateField toNext() {
        rptDate = DateTimeUtil.addDays(rptDate, 1);
        return this;
    }
    
    @Override
    public Date getAccountDate() {
        return DateTimeUtil.getStandardDate(rptDate);
    }
    
    public void setRptDate(Date rptDate) {
        this.rptDate = rptDate;
    }
}