/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.model.rule;

import com.abssqr.plat.common.facade.enums.AstScRuleLeftCondEnum;
import com.abssqr.plat.common.facade.enums.AstScRuleRightCondEnum;
import com.abssqr.plat.common.facade.enums.AstScreenRelTypeEnum;
import com.abssqr.plat.common.facade.enums.AstScreenRuleTypeEnum;

import com.general.system.common.model.BaseEntity;
import org.apache.commons.lang3.ObjectUtils;

/**
 * @author bangis.wangdf
 * @version com.abssqr.common.client.model.rule: AstScreenRule.java, v 0.1 2018-03-06 下午2:07 yaphet Exp $
 */
public class AstScreenRule extends BaseEntity {

    /**
     * relNo 关联编号.
     */
    private String                 relNo;
    /**
     * relType 关联类型 1.资产打包 PACK.
     */
    private AstScreenRelTypeEnum   relType;
    /**
     * ruleType 规则类型.
     */
    private AstScreenRuleTypeEnum  ruleType;
    /**
     * leftValue 左值.
     */
    private String                 leftValue;
    /**
     * rightValue 右值.
     */
    private String                 rightValue;
    /**
     * leftCondition 左条件: 1.大于 GT 2.大于等于 GE.
     */
    private AstScRuleLeftCondEnum  leftCondition;
    /**
     * rightCondition 右条件: 1.小于 LT 2.小于等于 LE 3.等于 EQ 4.包含 IN.
     */
    private AstScRuleRightCondEnum rightCondition;

    public String getRelNo() {
        return relNo;
    }

    public void setRelNo(String relNo) {
        this.relNo = relNo;
    }

    public AstScreenRelTypeEnum getRelType() {
        return relType;
    }

    public void setRelType(AstScreenRelTypeEnum relType) {
        this.relType = relType;
    }

    public AstScreenRuleTypeEnum getRuleType() {
        return ruleType;
    }

    public void setRuleType(AstScreenRuleTypeEnum ruleType) {
        this.ruleType = ruleType;
    }

    public String getLeftValue() {
        return leftValue;
    }

    public void setLeftValue(String leftValue) {
        this.leftValue = leftValue;
    }

    public String getRightValue() {
        return rightValue;
    }

    public void setRightValue(String rightValue) {
        this.rightValue = rightValue;
    }

    public AstScRuleLeftCondEnum getLeftCondition() {
        return leftCondition;
    }

    public void setLeftCondition(AstScRuleLeftCondEnum leftCondition) {
        this.leftCondition = leftCondition;
    }

    public AstScRuleRightCondEnum getRightCondition() {
        return rightCondition;
    }

    public void setRightCondition(AstScRuleRightCondEnum rightCondition) {
        this.rightCondition = rightCondition;
    }

    /**
     * 条件满足要求
     * @return
     */
    public boolean isEffect() {
        return ObjectUtils.allNotNull(this.ruleType) && (ObjectUtils.allNotNull(this.leftCondition, this.leftValue)
            || ObjectUtils.allNotNull(this.rightCondition, this.rightValue));
    }
}
