/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.analyse;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * 查询参数
 * @author hanfei
 * @version $Id: AnalyseBaseParam.java, v 0.1 2019-12-22 10:47 AM hanfei Exp $
 */
public class AnalyseBaseParam extends BaseParam {

    /**
     * 查询日期
     */
    private String accountDate;
    /**
     * 计划编号
     */
    @VldString(message = "项目编号不能为空")
    private String planNo;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }

    public String getAccountDate() {
        return accountDate;
    }

    public void setAccountDate(String accountDate) {
        this.accountDate = accountDate;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

}
