/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.plan.monitor;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.PlanIndicatorEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldNotNull;
import com.abssqr.plat.common.facade.validation.VldString;

import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.plan.monitor: PlanMonitorOprParam.java, v 0.1 2019-05-28 15:24 zhenxuan.luo Exp $
 */
public class PlanMonitorOprParam extends BaseOprParam {
    private static final long serialVersionUID = -2195239669227550002L;
    
    /**
     * planNo 计划编号.
     */
    @VldString(message = "计划编号不能为空")
    private String     planNo;
    /**
     * indicator 监控指标.
     */
    @VldEnums(enumClass = PlanIndicatorEnum.class, message = "传入计划监控指标不合法")
    private String     indicator;
    /**
     * name 监控事项名称
     */
    @VldString(message = "传入监控事项名称不合法")
    private String     name;
    /**
     * value 监控指标值
     */
    private BigDecimal value;
    /**
     * warnDays 预警天数.
     */
    private Long warnDays;
    /**
     * 是否新增 true为新增 Flase为修改
     */
    @VldNotNull
    private Boolean  isAdd;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getIndicator() {
        return indicator;
    }
    
    public void setIndicator(String indicator) {
        this.indicator = indicator;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public BigDecimal getValue() {
        return value;
    }
    
    public void setValue(BigDecimal value) {
        this.value = value;
    }
    
    public Long getWarnDays() {
        return warnDays;
    }
    
    public void setWarnDays(Long warnDays) {
        this.warnDays = warnDays;
    }
    
    public Boolean getAdd() {
        return isAdd;
    }
    
    public void setAdd(Boolean add) {
        isAdd = add;
    }
}