/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.param.plan.structure;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * 投资结构查询
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.param.plan.structure: InvestStructureQryParam.java, v 0.1 2020-02-06 1:34 PM xiachenxiang Exp $ 
 */
public class InvestStructureQryParam extends BaseParam {

    /**
     * 计划编号
     */
    @VldString(message = "计划编号不能为空")
    private String planNo;


    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }
}
