/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.sub;

import com.abssqr.plat.common.facade.enums.CalcTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeScaleTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeTimeTypeEnum;
import com.abssqr.plat.common.facade.enums.FinSerFeeTypeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 费用结构
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.sub: FeeStructureParam.java, v 0.1 2019-05-30 15:06 bangis.wangdf Exp $
 */
public class FeeStructureParam extends BaseEntity implements Serializable {
    private static final long              serialVersionUID = -8054344184679429967L;
    /**
     * order .
     */
    private Long order;
    /**
     * fixedFeeAmt 固定费用.
     */
    private Long fixedFeeAmt;
    /**
     * payLimitAmt 支付上限.
     */
    private Long payLimitAmt;
    /**
     * feeCalcType 计费方式.
     */
    private String feeCalcType;
    /**
     * feeScaleType 费用基准.
     */
    private String feeScaleType;

    /**
     * feeCalcDefaultDate 默认计费时间.
     */
    private Date feeCalcDefaultDate;
    /**
     * feeRate 费率.
     */
    private String feeRate;


    /**
     * 费用名称
     */
    private String feeName;

    public Long getOrder() {
        return order;
    }

    public void setOrder(Long order) {
        this.order = order;
    }

    public Long getFixedFeeAmt() {
        return fixedFeeAmt;
    }

    public void setFixedFeeAmt(Long fixedFeeAmt) {
        this.fixedFeeAmt = fixedFeeAmt;
    }

    public Long getPayLimitAmt() {
        return payLimitAmt;
    }

    public void setPayLimitAmt(Long payLimitAmt) {
        this.payLimitAmt = payLimitAmt;
    }

    public String getFeeCalcType() {
        return feeCalcType;
    }

    public void setFeeCalcType(String feeCalcType) {
        this.feeCalcType = feeCalcType;
    }

    public String getFeeScaleType() {
        return feeScaleType;
    }

    public void setFeeScaleType(String feeScaleType) {
        this.feeScaleType = feeScaleType;
    }

    public Date getFeeCalcDefaultDate() {
        return feeCalcDefaultDate;
    }

    public void setFeeCalcDefaultDate(Date feeCalcDefaultDate) {
        this.feeCalcDefaultDate = feeCalcDefaultDate;
    }

    public String getFeeRate() {
        return feeRate;
    }

    public void setFeeRate(String feeRate) {
        this.feeRate = feeRate;
    }

    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }
}
