/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.analyse;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 项目计划分析列表
 * @author hanfei
 * @version $Id: AnalysePlanItemVO.java, v 0.1 2019-09-20 6:11 PM hanfei Exp $
 */
public class AnalysePlanItemVO extends BaseEntity implements Serializable {
    
    /**
     * 项目编号
     */
    private String     planNo;
    /**
     * 项目名称
     */
    private String     planName;
    /**
     * 本金规模
     */
    private Money      prinScale = new Money();
    /**
     * 资产规模
     */
    private Money      astScale = new Money();
    /**
     * 资金余额
     */
    private Money      ableBal = new Money();
    /**
     * 整体逾期率
     */
    private BigDecimal ovdRate = BigDecimal.ZERO;
    /**
     * 日均闲置率
     */
    private BigDecimal idleRate = BigDecimal.ZERO;
    /**
     * 回收率
     */
    private BigDecimal repayRate = BigDecimal.ZERO;
    /**
     * 早偿率
     */
    private BigDecimal preRepayRate = BigDecimal.ZERO;
    /**
     * 资金计划日期
     */
    private String     fundPlanDate;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getPlanName() {
        return planName;
    }
    
    public void setPlanName(String planName) {
        this.planName = planName;
    }
    
    public Money getPrinScale() {
        return prinScale;
    }
    
    public void setPrinScale(Money prinScale) {
        this.prinScale = prinScale;
    }
    
    public Money getAstScale() {
        return astScale;
    }
    
    public void setAstScale(Money astScale) {
        this.astScale = astScale;
    }
    
    public Money getAbleBal() {
        return ableBal;
    }
    
    public void setAbleBal(Money ableBal) {
        this.ableBal = ableBal;
    }
    
    public BigDecimal getOvdRate() {
        return ovdRate;
    }
    
    public void setOvdRate(BigDecimal ovdRate) {
        this.ovdRate = ovdRate;
    }
    
    public BigDecimal getIdleRate() {
        return idleRate;
    }
    
    public void setIdleRate(BigDecimal idleRate) {
        this.idleRate = idleRate;
    }
    
    public String getFundPlanDate() {
        return fundPlanDate;
    }
    
    public void setFundPlanDate(String fundPlanDate) {
        this.fundPlanDate = fundPlanDate;
    }
    
    public BigDecimal getRepayRate() {
        return repayRate;
    }
    
    public void setRepayRate(BigDecimal repayRate) {
        this.repayRate = repayRate;
    }
    
    public BigDecimal getPreRepayRate() {
        return preRepayRate;
    }
    
    public void setPreRepayRate(BigDecimal preRepayRate) {
        this.preRepayRate = preRepayRate;
    }
}
