package com.abssqr.plat.common.facade.service.ast;

import com.abssqr.plat.common.facade.param.ast.AstPageQryParam;
import com.abssqr.plat.common.facade.param.astPool.AstPoolOprParam;
import com.abssqr.plat.common.facade.param.astPool.AstPoolPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstPoolLoanVO;
import com.abssqr.plat.common.facade.result.astPool.AstPoolVO;

import java.util.List;

/**
 * 资产池服务
 */
public interface AstPoolService {

    /**
     * 新增资产池
     * @param astPoolOprParam
     * @return
     */
    int add(AstPoolOprParam astPoolOprParam);

    /**
     * 分页查询资产池
     * @param astPoolPageQryParam
     * @return
     */
    BasePage<AstPoolVO> page(AstPoolPageQryParam astPoolPageQryParam);

    /**
     * 插叙资产池详情
     * @param astPoolNo
     * @return
     */
    AstPoolVO get(String astPoolNo);

    /**
     * 查询资产列表
     * @param astPageQryParam
     * @return
     */
    BasePage<AstPoolLoanVO> astList(AstPageQryParam astPageQryParam);
}
