/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.utils;

import com.abssqr.plat.common.facade.constants.AbssqrConstants;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.text.DecimalFormat;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.web.utils: BigDecimalFormatUtil.java, v 0.1 2019-01-28 14:15 zhenxuan.luo Exp $
 */
public class BigDecimalFormatUtil {
    // 金额
    private final static DecimalFormat DF_AMT = new DecimalFormat();
    // 利率
    private final static DecimalFormat DF_RATE = new DecimalFormat();
    // 数量
    private final static DecimalFormat DF_CNT = new DecimalFormat();
    
    static {
        DF_AMT.setMaximumFractionDigits(2);
        DF_AMT.setMinimumFractionDigits(2);
        DF_AMT.setGroupingUsed(true);
        DF_AMT.setRoundingMode(RoundingMode.HALF_UP);
    
        DF_RATE.setMaximumFractionDigits(3);
        DF_RATE.setMinimumFractionDigits(3);
        DF_RATE.setGroupingUsed(false);
        DF_RATE.setRoundingMode(RoundingMode.HALF_UP);
    
        DF_CNT.setMaximumFractionDigits(0);
        DF_CNT.setMinimumFractionDigits(0);
        DF_CNT.setGroupingUsed(false);
        DF_CNT.setRoundingMode(RoundingMode.HALF_UP);
    }
    
    public static String formatAmt(BigDecimal decimal) {
        
        if (decimal == null) {
            decimal = BigDecimal.ZERO;
        }
        return DF_AMT.format(decimal);
    }
    
    public static String formatRate(BigDecimal decimal) {
        
        if (decimal == null) {
            decimal = BigDecimal.ZERO;
        }
        BigDecimal rate = decimal.multiply(AbssqrConstants.PERC_SCALER);
        
        return DF_RATE.format(rate);
    }
    
    public static String formatCnt(BigDecimal decimal) {
        
        if (decimal == null) {
            decimal = BigDecimal.ZERO;
        }
        
        return DF_CNT.format(decimal);
    }
}