/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.integration.notice.enums;

import com.abssqr.plat.common.facade.enums.AnalyseServiceEnum;
import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.integration.notice.enums: RobotTypeEnum.java, v 0.1 2019-09-30 2:54 PM xiachenxiang Exp $
 */
public enum RobotTypeEnum implements IEnum {
    WeChart("wechat", "微信"),
    DingTalk("dingtalk", "钉钉"),
    ;
    private static final Map<String, RobotTypeEnum> codeMap = new HashMap<>();

    static {
        for (RobotTypeEnum item : RobotTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    RobotTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private String code;
    private String desc;

    public static RobotTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
