package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanInvestStructureDO;
import com.abssqr.plat.common.facade.enums.AllocMethodEnum;
import com.abssqr.plat.common.facade.enums.IntrTypeEnum;
import com.abssqr.plat.common.facade.enums.LayerTypeEnum;
import com.abssqr.plat.common.facade.model.plan.InvestStructure;

public class InvestStructureConvert {
    public InvestStructure convert2Entity(PlanInvestStructureDO var){
        InvestStructure investStructure=new InvestStructure();
        investStructure.setEffectDate(var.getEffectDate());
        investStructure.setEndDate(var.getEndDate());
        investStructure.setExpectEndDate(var.getExpectEndDate());
        investStructure.setGrade(var.getGrade());
        investStructure.setIntrType(IntrTypeEnum.getByCode(var.getIntrType()));
        investStructure.setPlanNo(var.getPlanNo());
        investStructure.setAllocMethod(AllocMethodEnum.getByCode(var.getAllocMethod()));

        investStructure.setOrder(var.getOrder());
        investStructure.setLayerType(LayerTypeEnum.getByCode(var.getLayerType()));
        investStructure.setLayerNo(var.getLayerNo());
        investStructure.setLayerName(var.getLayerName());
        investStructure.setLayerIntr(var.getLayerIntr());
        investStructure.setLayerAmt(var.getLayerAmt());

        return investStructure;

    }

    public PlanInvestStructureDO convert2DO(InvestStructure var){
        PlanInvestStructureDO result=new PlanInvestStructureDO();
        result.setEffectDate(var.getEffectDate());
        result.setEndDate(var.getEndDate());
        result.setExpectEndDate(var.getExpectEndDate());
        result.setGrade(var.getGrade());
        result.setIntrType(var.getIntrType().getCode());
        result.setPlanNo(var.getPlanNo());
        result.setAllocMethod(var.getAllocMethod().getCode());

        result.setOrder(var.getOrder());
        result.setLayerType(var.getLayerType().getCode());
        result.setLayerNo(var.getLayerNo());
        result.setLayerName(var.getLayerName());
        result.setLayerIntr(var.getLayerIntr());
        result.setLayerAmt(var.getLayerAmt());

        return result;
    }
}
