/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstDO;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAst;
import org.apache.commons.collections.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author hanfei
 * @version $Id: PlanAstConvert.java, v 0.1 2018-01-04 下午8:05 hanfei Exp $
 */
public class PlanAstConvert {

    public static List<PlanAst> convertDTOs(List<PlanAstDO> entitys) {
        if (CollectionUtils.isEmpty(entitys)){
            return null;
        }
        List<PlanAst> dtos = new ArrayList<PlanAst>(entitys.size());
        for (PlanAstDO astDO : entitys) {
            dtos.add(convertDTO(astDO));
        }
        return dtos;
    }

    public static PlanAst convertDTO(PlanAstDO obj) {
        if (obj == null){
            return null;
        }
        PlanAst instance = new PlanAst();
        instance.setGmtModified(obj.getGmtModified());
        instance.setLastUpdateDate(obj.getLastUpdateDate());
        instance.setCash(obj.getCash());
        instance.setFrozenCash(obj.getFrozenCash());
        instance.setAccGrant(obj.getAccGrant());
        instance.setPayOnWay(obj.getPayOnWay());
        instance.setRepoOnWay(obj.getRepoOnWay());
        instance.setBankBal(obj.getBankBal());
        instance.setLastBankBal(obj.getLastBankBal());
        instance.setPayClear(obj.getPayClear());
        instance.setRepoClear(obj.getRepoClear());
        TaskStatusEnum status = TaskStatusEnum.getByCode(obj.getStatus());
        instance.setStatus(status == null ? TaskStatusEnum.INIT : status);
        instance.setPlanNo(obj.getPlanNo());
        // 计划类型
        instance.setPlanType(PlanTypeEnum.getByCode(obj.getPlanType()));
        // 校验水位金额
        instance.setCheckCash(obj.getCheckCash());
        return instance;
    }

    public static PlanAstDO convertDO(PlanAst obj) {
        if (obj == null) {
            return null;
        }
        PlanAstDO instance = new PlanAstDO();
        instance.setGmtModified(obj.getGmtModified());
        instance.setLastUpdateDate(obj.getLastUpdateDate());
        instance.setCash(obj.getCash());
        instance.setFrozenCash(obj.getFrozenCash());
        instance.setAccGrant(obj.getAccGrant());
        instance.setPayOnWay(obj.getPayOnWay());
        instance.setRepoOnWay(obj.getRepoOnWay());
        instance.setBankBal(obj.getBankBal());
        instance.setLastBankBal(obj.getLastBankBal());
        instance.setPayClear(obj.getPayClear());
        instance.setRepoClear(obj.getRepoClear());
        if (obj.getStatus() != null){
            instance.setStatus(obj.getStatus().getCode());
        }
        instance.setPlanNo(obj.getPlanNo());
        if (obj.getPlanType() != null){
            instance.setPlanType(obj.getPlanType().getCode());
        }
        // 校验水位金额
        instance.setCheckCash(obj.getCheckCash());
        return instance;
    }
}
