package com.abssqr.plat.common.model.convertor.web;


import com.abssqr.plat.common.dal.mysql.auto.paging.AstPoolLoanPage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPoolLoan;
import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.enums.RepayMethodEnum;
import com.abssqr.plat.common.facade.param.ast.AstPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstPoolLoanVO;

import java.util.ArrayList;
import java.util.List;


public class AstPoolLoanWebConvert {
    public static AstPoolLoanVO convertAstPoolLoan2AstPoolVO(AstPoolLoan absPoolLoan){
        AstPoolLoanVO astPoolLoanVO=new AstPoolLoanVO();
        astPoolLoanVO.setAstNo(absPoolLoan.getAstNo());
        astPoolLoanVO.setFreeTerm(absPoolLoan.getFreeTerm());
        astPoolLoanVO.setPlanName(absPoolLoan.getPlanName());
        astPoolLoanVO.setPrinBal(absPoolLoan.getPrinBal());
        astPoolLoanVO.setRate(absPoolLoan.getRate());
        astPoolLoanVO.setRepayMethod(RepayMethodEnum.getByCode(absPoolLoan.getRepayMethod()));
        astPoolLoanVO.setRepayPeriod(absPoolLoan.getRepayPeriod());
        astPoolLoanVO.setRepayPeriodType(absPoolLoan.getRepayPeriodType());
        astPoolLoanVO.setRiskCl(AstRiskClassEnum.getByCode(absPoolLoan.getRiskCl()));
        astPoolLoanVO.setStartDate(absPoolLoan.getStartDate());
        return astPoolLoanVO;
    }


    public static BasePage<AstPoolLoanVO> convertAstPoolLoan2AstPoolVOs(AstPoolLoanPage page){
        BasePage<AstPoolLoanVO> result=new BasePage<>();
        List<AstPoolLoanVO> astPoolLoanVOS=new ArrayList<>();
        page.getDatas().forEach(v->{
            astPoolLoanVOS.add(convertAstPoolLoan2AstPoolVO(v));
        });
        result.setDatas(astPoolLoanVOS);
        result.setTotal(page.getTotal());
        result.setCurrPageNo(page.getCurrPageNo());
        result.setLimit(page.getLimit());
        return result;
    }

    public static AstPoolLoanPage convertAstParam2AstPage(AstPageQryParam astPageQryParam){
        AstPoolLoanPage astPoolLoanPage=new AstPoolLoanPage();
        astPoolLoanPage.setAstPoolNo(astPageQryParam.getAstPoolNo());
        astPoolLoanPage.setCurrPageNo(astPageQryParam.getPageNum());
        astPoolLoanPage.setLimit(astPageQryParam.getPageNum());
        return astPoolLoanPage;
    }
}
