package com.abssqr.plat.common.model.convertor.web;

import com.abssqr.plat.common.dal.mysql.auto.paging.AstPoolPage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPoolLoanStat;
import com.abssqr.plat.common.facade.param.astPool.AstPoolPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.astPool.AstPoolVO;
import com.abssqr.plat.common.model.convertor.AstPoolConvert;
import com.abssqr.plat.common.model.domain.ast.AstPoolEntity;

public class AstPoolWebConvert {
    public static AstPoolVO convertEntity2VO(AstPoolEntity astPoolEntity){
        AstPoolVO astPoolVO=new AstPoolVO();
        astPoolVO.setAstType(astPoolEntity.getAstTypeEnum());
        astPoolVO.setAstPoolNo(astPoolEntity.getAstPoolNo());
        astPoolVO.setAstPoolName(astPoolEntity.getAstPoolName());
        return astPoolVO;
    }


    public static AstPoolVO convertStat2VO(AstPoolVO astPoolVO, AstPoolLoanStat astPoolLoanStat){
        astPoolVO.setPackedAstCnt(astPoolLoanStat.getPackCnt());
        astPoolVO.setPackedAstAmt(astPoolLoanStat.getPackPrinBal());
        astPoolVO.setAstAmt(astPoolLoanStat.getAllPrinBal());
        astPoolVO.setAstCnt(astPoolLoanStat.getAllCnt());
        return astPoolVO;
    }


    public static AstPoolPage convertParam2Page(AstPoolPageQryParam astPoolPageQryParam){
        AstPoolPage astPoolPage=new AstPoolPage();
        String astPoolName = astPoolPageQryParam.getAstPoolName();
        astPoolPage.setAstPoolName(astPoolName);
        astPoolPage.setCurrPageNo(astPoolPageQryParam.getPageNum());
        astPoolPage.setLimit(astPoolPageQryParam.getPageSize());
        return astPoolPage;
    }

    public static BasePage<AstPoolVO> convertPage2Result(AstPoolPage astPoolPage){
        BasePage<AstPoolVO> basePage=new BasePage<>();
        basePage.setDatas(AstPoolConvert.convert2VOs(astPoolPage.getDatas()));
        basePage.setLimit(astPoolPage.getLimit());
        basePage.setCurrPageNo(astPoolPage.getCurrPageNo());
        basePage.setTotal(astPoolPage.getTotal());
        return basePage;
    }


}
