/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.AstPackStatusEnum;
import com.abssqr.plat.common.facade.enums.AstPackTypeEnum;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.general.system.common.model.Money;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.domain.ast: AstPack.java, v 0.1 2020-04-18 3:48 PM xiachenxiang Exp $
 */
public class AstPack {

    /**
     * avalAmt 规模.
     */
    private Money               avalAmt;
    /**
     * type 资产包类型: 1. 正常 NORMAL 2.默认(虚拟) DEFAULT.
     */
    private AstPackTypeEnum     packType;
    /**
     * packNo 资产包编号.
     */
    private String              packNo;
    /**
     * planNo 产品编号.
     */
    private String              planNo;
    /**
     * status 状态 1.初始化 INIT 2.筛选中 EXEC 3.筛选完成 SCREEN_FIS  4.已封包 PACK 5.已解包 UNPACK 6.已拆包 BREAK 7.已发行 PUBLISH  .
     */
    private AstPackStatusEnum   status;
    /**
     * packName 资产包名称.
     */
    private String              packName;
    /**
     * astPoolNo 资产池编号.
     */
    private String              astPoolNo;
    /**
     * packDate 封包日.
     */
    private Date                packDate;
    /**
     * packSubmitDate 封包提交日.
     */
    private Date                packSubmitDate;
    /**
     * 筛选规则
     */
    private List<AstScreenRule> screenRuleList = new ArrayList<>();

    /**
     * 资产类型
     */
    private AstTypeEnum astType;

    public Money getAvalAmt() {
        return avalAmt;
    }

    public void setAvalAmt(Money avalAmt) {
        this.avalAmt = avalAmt;
    }

    public AstPackTypeEnum getPackType() {
        return packType;
    }

    public void setPackType(AstPackTypeEnum packType) {
        this.packType = packType;
    }

    public String getPackNo() {
        return packNo;
    }

    public void setPackNo(String packNo) {
        this.packNo = packNo;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public AstPackStatusEnum getStatus() {
        return status;
    }

    public void setStatus(AstPackStatusEnum status) {
        this.status = status;
    }

    public String getPackName() {
        return packName;
    }

    public void setPackName(String packName) {
        this.packName = packName;
    }

    public String getAstPoolNo() {
        return astPoolNo;
    }

    public void setAstPoolNo(String astPoolNo) {
        this.astPoolNo = astPoolNo;
    }

    public Date getPackDate() {
        return packDate;
    }

    public void setPackDate(Date packDate) {
        this.packDate = packDate;
    }

    public Date getPackSubmitDate() {
        return packSubmitDate;
    }

    public void setPackSubmitDate(Date packSubmitDate) {
        this.packSubmitDate = packSubmitDate;
    }

    public List<AstScreenRule> getScreenRuleList() {
        return screenRuleList;
    }

    public void setScreenRuleList(List<AstScreenRule> screenRuleList) {
        this.screenRuleList = screenRuleList;
    }

    public AstTypeEnum getAstType() {
        return astType;
    }

    public void setAstType(AstTypeEnum astType) {
        this.astType = astType;
    }

}
