/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.astSync;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.enums.DebtMoneyFieldEnum;
import com.abssqr.plat.common.facade.enums.LoanStatusEnum;
import com.abssqr.plat.common.model.domain.ast.AstPeriod;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.domain.sync: AstSyncRepayPlan.java, v 0.1 2017-12-26 上午1:29 guozhenhua Exp $
 */
public class LoanAstSyncRepayPlan extends BaseLoanAstSyncEntity {
    
    /**
     * termNo termNo.
     */
    private Integer        termNo;
    /**
     * 资产日期
     */
    private AstPeriod      astPeriod      = new AstPeriod();
    /**
     * dueIntrAmt 到期利息金额.
     */
    private Money         dueIntrAmt     = new Money();
    /**
     * dueInstFeeAmt 到期费用金额.
     */
    private Money          dueFeeAmt      = new Money();
    /**
     * 余额
     */
    private DebtMoney      bal            = new DebtMoney();
    /**
     * 余额
     */
    private DebtMoney      checkBal       = new DebtMoney();
    /**
     * 已还
     */
    private DebtMoney      paid           = new DebtMoney();
    /**
     * 已还未来本金
     */
    private Money          paidFuturePrin = new Money();
    /**
     * status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    private LoanStatusEnum status;
    /**
     * status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    private LoanStatusEnum checkStatus;
    /**
     * ovdDays 逾期天数.
     */
    private int            ovdDays;
    
    public DebtMoney getCheckBal() {
        return checkBal;
    }
    
    public void setCheckBal(DebtMoney checkBal) {
        this.checkBal = checkBal;
    }
    
    public LoanStatusEnum getCheckStatus() {
        return checkStatus;
    }
    
    public void setCheckStatus(LoanStatusEnum checkStatus) {
        this.checkStatus = checkStatus;
    }
    
    public void repayPrin(Money amt) {
        this.bal.subByFieldType(DebtMoneyFieldEnum.PRIN, amt);
        this.paid.addByFieldType(DebtMoneyFieldEnum.PRIN, amt);
    }
    
    public boolean isInTerm(Date date) {
        return this.astPeriod.isInTerm(date);
    }
    
    public Money getTotalAccurAmt(DebtMoneyFieldEnum amtType) {
        return this.bal.getByFieldType(amtType).add(this.paid.getByFieldType(amtType));
    }
    
    public Integer getTermNo() {
        return termNo;
    }
    
    public void setTermNo(Integer termNo) {
        this.termNo = termNo;
    }
    
    public AstPeriod getAstPeriod() {
        return astPeriod;
    }
    
    public void setAstPeriod(AstPeriod astPeriod) {
        this.astPeriod = astPeriod;
    }
    
    public Money getDueIntrAmt() {
        return dueIntrAmt;
    }
    
    public void setDueIntrAmt(Money dueIntrAmt) {
        this.dueIntrAmt = dueIntrAmt;
    }
    
    public Money getDueFeeAmt() {
        return dueFeeAmt;
    }
    
    public void setDueFeeAmt(Money dueFeeAmt) {
        this.dueFeeAmt = dueFeeAmt;
    }
    
    public DebtMoney getBal() {
        return bal;
    }
    
    public void setBal(DebtMoney bal) {
        this.bal = bal;
    }
    
    public DebtMoney getPaid() {
        return paid;
    }
    
    public void setPaid(DebtMoney paid) {
        this.paid = paid;
    }
    
    public LoanStatusEnum getStatus() {
        return status;
    }
    
    public void setStatus(LoanStatusEnum status) {
        this.status = status;
    }
    
    public int getOvdDays() {
        return ovdDays;
    }
    
    public void setOvdDays(int ovdDays) {
        this.ovdDays = ovdDays;
    }
    
    public Money getPaidFuturePrin() {
        return paidFuturePrin;
    }
    
    public void setPaidFuturePrin(Money paidFuturePrin) {
        this.paidFuturePrin = paidFuturePrin;
    }
}
