/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.astSync;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.enums.DebtMoneyFieldEnum;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.domain.sync: AstSyncRepayPlanTrans.java, v 0.1 2017-12-26 上午1:29 guozhenhua Exp $
 */
public class LoanAstSyncRepayPlanTrans extends BaseLoanAstSyncEntity {
    
    /**
     * termNo termNo.
     */
    private Integer       termNo;
    /**
     * 外部操作批次流水号
     */
    private String        outBizNo;
    /**
     * 实际交易时间，yyyyMMddHHmiss.
     */
    private Date          transTime;
    /**
     * 交易码.
     */
    private EventCodeEnum eventCode;
    /**
     * 本金发生额.
     */
    private Money         prinAmt          = new Money();
    /**
     * 利息余额.
     */
    private Money         intrAmt          = new Money();
    /**
     * 分期费用发生额.
     */
    private Money         feeAmt           = new Money();
    /**
     * 本罚发生额.
     */
    private Money         prinPenalAmt     = new Money();
    /**
     * 本罚发生额.
     */
    private Money         intrPenalAmt     = new Money();
    /**
     * instFeePenalAmt 分期费用滞纳金发生额.
     */
    private Money         feePenalAmt      = new Money();
    /**
     * 本金资金发生额
     */
    private Money         prinFundAmt      = new Money();
    /**
     * 利息资金发生额
     */
    private Money         intrFundAmt      = new Money();
    /**
     * 费用资金发生额
     */
    private Money         feeFundAmt       = new Money();
    /**
     * 本罚资金发生额
     */
    private Money         prinPenalFundAmt = new Money();
    /**
     * 利罚资金发生额.
     */
    private Money         intrPenalFundAmt = new Money();
    /**
     * 分期费用滞纳金资金发生额.
     */
    private Money         feePenalFundAmt  = new Money();
    /**
     *
     *实还其他费用
     */
    private Money        otherFeeAmt = new Money();
    /**
     *
     *应还其他费用
     */
    private Money        otherFeeFundAmt = new Money();
    /**
     * 还款产生即挂即还费对应本金（此处特征还款引起提前还款费）
     */
    private Money      repoGenOtherFeePrinAmt = new Money();



    public DebtMoney getAmt() {
        DebtMoney debtMoney = new DebtMoney();
        debtMoney.setByFieldType(DebtMoneyFieldEnum.PRIN, prinAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.INTR, intrAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.FEE, feeAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.PRIN_ODUE_PNY, prinPenalAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.INTR_ODUE_PNY, intrPenalAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.FEE_PNY, feePenalAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.OTHER_FEE,otherFeeAmt);
        
        return debtMoney;
    }
    
    public DebtMoney getFundAmt() {
        DebtMoney debtMoney = new DebtMoney();
        debtMoney.setByFieldType(DebtMoneyFieldEnum.PRIN, prinFundAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.INTR, intrFundAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.FEE, feeFundAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.PRIN_ODUE_PNY, prinPenalFundAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.INTR_ODUE_PNY, intrPenalFundAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.FEE_PNY, feePenalFundAmt);
        debtMoney.setByFieldType(DebtMoneyFieldEnum.OTHER_FEE,otherFeeFundAmt);
        
        return debtMoney;
    }
    
    public Integer getTermNo() {
        return termNo;
    }
    
    public void setTermNo(Integer termNo) {
        this.termNo = termNo;
    }
    
    public String getOutBizNo() {
        return outBizNo;
    }
    
    public void setOutBizNo(String outBizNo) {
        this.outBizNo = outBizNo;
    }
    
    public Date getTransTime() {
        return transTime;
    }
    
    public void setTransTime(Date transTime) {
        this.transTime = transTime;
    }
    
    public EventCodeEnum getEventCode() {
        return eventCode;
    }
    
    public void setEventCode(EventCodeEnum eventCode) {
        this.eventCode = eventCode;
    }
    
    public Money getPrinAmt() {
        return prinAmt;
    }
    
    public void setPrinAmt(Money prinAmt) {
        this.prinAmt = prinAmt;
    }
    
    public Money getIntrAmt() {
        return intrAmt;
    }
    
    public void setIntrAmt(Money intrAmt) {
        this.intrAmt = intrAmt;
    }
    
    public Money getFeeAmt() {
        return feeAmt;
    }
    
    public void setFeeAmt(Money feeAmt) {
        this.feeAmt = feeAmt;
    }
    
    public Money getPrinPenalAmt() {
        return prinPenalAmt;
    }
    
    public void setPrinPenalAmt(Money prinPenalAmt) {
        this.prinPenalAmt = prinPenalAmt;
    }
    
    public Money getIntrPenalAmt() {
        return intrPenalAmt;
    }
    
    public void setIntrPenalAmt(Money intrPenalAmt) {
        this.intrPenalAmt = intrPenalAmt;
    }
    
    public Money getFeePenalAmt() {
        return feePenalAmt;
    }
    
    public void setFeePenalAmt(Money feePenalAmt) {
        this.feePenalAmt = feePenalAmt;
    }
    
    public Money getPrinFundAmt() {
        return prinFundAmt;
    }
    
    public void setPrinFundAmt(Money prinFundAmt) {
        this.prinFundAmt = prinFundAmt;
    }
    
    public Money getIntrFundAmt() {
        return intrFundAmt;
    }
    
    public void setIntrFundAmt(Money intrFundAmt) {
        this.intrFundAmt = intrFundAmt;
    }
    
    public Money getFeeFundAmt() {
        return feeFundAmt;
    }
    
    public void setFeeFundAmt(Money feeFundAmt) {
        this.feeFundAmt = feeFundAmt;
    }
    
    public Money getPrinPenalFundAmt() {
        return prinPenalFundAmt;
    }
    
    public void setPrinPenalFundAmt(Money prinPenalFundAmt) {
        this.prinPenalFundAmt = prinPenalFundAmt;
    }
    
    public Money getIntrPenalFundAmt() {
        return intrPenalFundAmt;
    }
    
    public void setIntrPenalFundAmt(Money intrPenalFundAmt) {
        this.intrPenalFundAmt = intrPenalFundAmt;
    }
    
    public Money getFeePenalFundAmt() {
        return feePenalFundAmt;
    }
    
    public void setFeePenalFundAmt(Money feePenalFundAmt) {
        this.feePenalFundAmt = feePenalFundAmt;
    }

    public Money getOtherFeeAmt() {
        return otherFeeAmt;
    }

    public void setOtherFeeAmt(Money otherFeeAmt) {
        this.otherFeeAmt = otherFeeAmt;
    }

    public Money getOtherFeeFundAmt() {
        return otherFeeFundAmt;
    }

    public void setOtherFeeFundAmt(Money otherFeeFundAmt) {
        this.otherFeeFundAmt = otherFeeFundAmt;
    }

    public Money getRepoGenOtherFeePrinAmt() {
        return repoGenOtherFeePrinAmt;
    }

    public void setRepoGenOtherFeePrinAmt(Money repoGenOtherFeePrinAmt) {
        this.repoGenOtherFeePrinAmt = repoGenOtherFeePrinAmt;
    }
}
