/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.astSync;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.util.MessageUtil;
import com.google.common.collect.Lists;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.astSync: LoanAstSyncTrans.java, v 0.1 2019-06-17 14:34 zhenxuan.luo Exp $
 */
public class LoanAstSyncTrans extends BaseEntity {
    
    private String loanNo;
    
    private String bizNo;
    
    private Date accountDate;
    
    private Date transTime;
    
    private EventCodeEnum eventCode;
    
    private List<LoanAstSyncRepayPlanTrans> repayPlanTransList = Lists.newArrayList();
    
    public void checkValid() {
        for (LoanAstSyncRepayPlanTrans repayPlanTrans : repayPlanTransList) {
            DebtMoney amt = repayPlanTrans.getAmt();
            amt.check(MessageUtil.formatMsg("贷款[{0}]的[{1}]事件：分期[{2}]交易[{3}]的发生额[{4}]为负数",
                    loanNo, eventCode, repayPlanTrans.getTermNo(), repayPlanTrans.getEventCode(), amt));
        }
    }
    
    public String getLoanNo() {
        return loanNo;
    }
    
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    
    public String getBizNo() {
        return bizNo;
    }
    
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public Date getTransTime() {
        return transTime;
    }
    
    public void setTransTime(Date transTime) {
        this.transTime = transTime;
    }
    
    public EventCodeEnum getEventCode() {
        return eventCode;
    }
    
    public void setEventCode(EventCodeEnum eventCode) {
        this.eventCode = eventCode;
    }
    
    public List<LoanAstSyncRepayPlanTrans> getRepayPlanTransList() {
        return repayPlanTransList;
    }
    
    public void setRepayPlanTransList(
            List<LoanAstSyncRepayPlanTrans> repayPlanTransList) {
        this.repayPlanTransList = repayPlanTransList;
    }
}