/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.rule;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.base.ProfitMoney;
import com.abssqr.plat.common.model.utils.TextUtil;
import com.abssqr.plat.common.util.utils.BeanCopierUtil;
import com.general.system.common.model.BaseEntity;
import com.google.common.collect.Maps;

import java.util.Map;

/**
 * 收益余额与定价金额
 * @author hanfei
 * @version $Id: LoanAstProfitBalAndPrice.java, v 0.1 2020-02-13 10:20 AM hanfei Exp $
 */
public class LoanAstProfitBalAndPrice extends BaseEntity {
    
    /**
     * 余额
     */
    private ProfitMoney bal   = new ProfitMoney();
    /**
     * 定价金额
     */
    private ProfitMoney price = new ProfitMoney();
    
    
    
    public LoanAstProfitBalAndPrice() {
    }
    
    public LoanAstProfitBalAndPrice(DebtMoney bal, DebtMoney price) {
        this.bal.addAllByDebt(bal);
        this.price.addAllByDebt(price);
    }
    
    public String getExtText(){
        Map<String, Object> extInfo = Maps.newHashMap();
        extInfo.put("bal", BeanCopierUtil.beanToMap(this.getBal()));
        extInfo.put("price", BeanCopierUtil.beanToMap(this.getBal()));
        return TextUtil.convertMap2Txt(extInfo);
    }
//    public static LoanAstProfitBalAndPrice assemblerByExtInfo(String extInfo) {
//        if (ToolUtil.isEmpty(extInfo)){
//            return new LoanAstProfitBalAndPrice();
//        }
//        return JSON.parseObject(extInfo, LoanAstProfitBalAndPrice.class);
//    }
    
    public DebtMoney turnBal() {
        return bal.turn();
    }
    
    public DebtMoney turnPrice() {
        return price.turn();
    }
    
    public ProfitMoney getBal() {
        return bal;
    }
    
    public void setBal(ProfitMoney bal) {
        this.bal = bal;
    }
    
    public ProfitMoney getPrice() {
        return price;
    }
    
    public void setPrice(ProfitMoney price) {
        this.price = price;
    }
    
    
}
