/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.loanTrans.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanLogDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanLogDO;
import com.abssqr.plat.common.model.convertor.LoanLogConvert;
import com.abssqr.plat.common.model.domain.loanTrans.LoanLog;
import com.abssqr.plat.common.model.repo.loanTrans.LoanLogRepository;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.loanTrans.impl: LoanLogRepositoryImpl.java, v 0.1 2017-12-21 上午1:45 guozhenhua Exp $
 */
@Component
public class LoanLogRepositoryImpl implements LoanLogRepository {
    
    @Autowired
    private LoanLogDAO loanLogDAO;
    
    @Override
    public int insertBatch(List<LoanLog> list) {
        
        if (CollectionUtils.isEmpty(list)) {
            return 0;
        }
        
        List<LoanLogDO> loanLogDOS = Lists.newArrayList();
        for (LoanLog log : list) {
            loanLogDOS.add(LoanLogConvert.convert2Do(log));
        }
        return loanLogDAO.insertBatch(loanLogDOS);
    }

    @Override
    public LoanLog getLastByAstNoAndEventCode(String astNo,String eventCode){
        return LoanLogConvert.convert2Domain(loanLogDAO.getLastByAstNoAndEventCode(astNo, eventCode));
    }
}
