/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstDO;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAst;

import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: PlanAstRepository.java, v 0.1 2018-01-04 下午8:01 hanfei Exp $
 */
public interface PlanAstRepository {

    /**
     * desc:插入计划资产水位表.<br/>
     * @param planAst planAst
     * @return int
     */
    int create(PlanAst planAst);

    /**
     * 通过planNo查询
     * @param planNo
     * @return
     */
    PlanAst getByPlanNo(String planNo);

    /**
     * desc:更新计划资产水位表.<br/>
     * @param planAst planAst
     * @return int
     */
    int update(PlanAst planAst);

    /**
     * desc:根据 PLAN_NO 锁定日志记录数据.<br/>
     * @param planNo planNo
     * @return PlanAstDO
     */
    PlanAst lockByPlanNo(String planNo);
    
    /**
     * 查询所有累计转让规模总数
     * @return
     */
    Long getAllPlanAmt(PlanTypeEnum planType);





}
