/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorDO;
import com.abssqr.plat.common.facade.model.plan.PlanMonitor;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.plan: PlanMonitorRepo.java, v 0.1 2019-05-28 14:56 zhenxuan.luo Exp $ 
 */
public interface PlanMonitorRepo {
    
    /**
     * 新增监控指标
     *
     * @param entity
     * @return
     */
    int insert(PlanMonitor entity);
    
    /**
     * 更新监控指标
     * @param entity
     * @return
     */
    int updateByIndicator(PlanMonitor entity);
    
    /**
     * 删除监控指标
     * @param planNo
     * @param indicator
     * @return
     */
    int deleteByIndicator(String planNo, String indicator);
    
    /**
     * 根据计划获取监控指标
     * @param planNo
     * @return
     */
    List<PlanMonitor> getByPlan(String planNo);
    
    /**
     * 获取监控指标详情
     * @param planNo
     * @param indicator
     * @return
     */
    PlanMonitor getByIndicator(String planNo, String indicator);
    
    /**
     * 监控日期信息计数更新
     * @param entity
     * @return
     */
    int updateDays(PlanMonitor entity);
    
    /**
     * 监控事项名称是否重名
     * @param name
     * @return
     */
    int getSameMonitorCnt(String name);
}