/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanMonitorDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorDO;
import com.abssqr.plat.common.facade.model.plan.PlanMonitor;
import com.abssqr.plat.common.model.convertor.PlanMonitorConvertor;
import com.abssqr.plat.common.model.repo.plan.PlanMonitorRepo;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.plan.impl: PlanMonitorRepoImpl.java, v 0.1 2019-05-28 14:56 zhenxuan.luo Exp $ 
 */
@Component
public class PlanMonitorRepoImpl implements PlanMonitorRepo {
    
    @Autowired
    private PlanMonitorDAO planMonitorDAO;
    
    @Override
    public int insert(PlanMonitor entity) {
        PlanMonitorDO planMonitorDO = PlanMonitorConvertor.convert2DO(entity);
        if (null == planMonitorDO) {
            return 0;
        }
        return planMonitorDAO.insert(planMonitorDO);
    }
    
    @Override
    public int updateByIndicator(PlanMonitor entity) {
        PlanMonitorDO planMonitorDO = PlanMonitorConvertor.convert2DO(entity);
        if (null == planMonitorDO) {
            return 0;
        }
        return planMonitorDAO.updateByIndicator(planMonitorDO);
    }
    
    @Override
    public int deleteByIndicator(String planNo, String indicator) {
        return planMonitorDAO.deleteByIndicator(planNo, indicator);
    }
    
    @Override
    public List<PlanMonitor> getByPlan(String planNo) {
        
        List<PlanMonitor> res = Lists.newArrayList();
        
        List<PlanMonitorDO> doRes = planMonitorDAO.getByPlan(planNo);
        for (PlanMonitorDO planMonitorDO : doRes) {
            res.add(PlanMonitorConvertor.convert2Domain(planMonitorDO));
        }
        return res;
    }
    
    @Override
    public PlanMonitor getByIndicator(String planNo, String indicator) {
        return PlanMonitorConvertor.convert2Domain(planMonitorDAO.getByIndicator(planNo, indicator));
    }
    
    @Override
    public int updateDays(PlanMonitor entity) {
    
        PlanMonitorDO planMonitorDO = PlanMonitorConvertor.convert2DO(entity);
        if (null == planMonitorDO) {
            return 0;
        }
        return planMonitorDAO.updateByIndicator(planMonitorDO);
    }
    
    @Override
    public int getSameMonitorCnt(String name) {
        return planMonitorDAO.getSameMonitorCnt(name);
    }
}