/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.prod;

import com.abssqr.plat.common.dal.mysql.auto.paging.ProductListPage;
import com.abssqr.plat.common.facade.model.prod.LoanProduct;

import java.util.List;

/**
 * 产品仓储
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.prod: LoanProdRepository.java, v 0.1 2018-01-05 下午7:38 guozhenhua Exp $
 */
public interface LoanProdRepository {
    /**
     * 查询产品分页
     *
     * @param param
     * @return
     */
    ProductListPage getProdList(ProductListPage param);
    
    /**
     * 根据外部产品码，原始权益机构，代理机构 查询出贷款产品
     *
     * @param outProdCode
     * @param managerOrgCode
     * @return
     */
    LoanProduct getLoanProdByPK(String outProdCode, String managerOrgCode);
    
    /**
     * 根据内部码 查询出贷款产品
     * 组装五级分类的产品
     * @param abssqrProdCode
     * @return
     */
    LoanProduct getBybssqrProdCode(String abssqrProdCode);
    
    /**
     * 根据内部码 查询出贷款产品
     *
     * @param abssqrProdCodes
     * @return
     */
    List<LoanProduct> getBybssqrProdCodes(List<String> abssqrProdCodes);
    
    /**
     * 增加产品
     *
     * @param loanProduct
     * @return
     */
    Integer addProduct(LoanProduct loanProduct);
    
    /**
     * 修改产品
     *
     * @param loanProduct
     * @return
     */
    Integer update(LoanProduct loanProduct);
    
    /**
     * 删除产品
     *
     * @param absProdCode
     * @return
     */
    Integer deleteProductByCode(String absProdCode);
    
    /**
     * 获取产品
     *
     * @param absProductNo
     * @return
     */
    LoanProduct getProductByAbsProductNo(String absProductNo);
    
    /**
     * 查看是否存在该产品
     *
     * @param loanProduct
     * @return
     */
    Integer getSameProdCnt(LoanProduct loanProduct);
    
}