/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.rule.impl;

import java.util.List;

import com.abssqr.plat.common.dal.mysql.auto.dao.AstScreenRuleDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstScreenRuleDO;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.model.convertor.AstScreenRuleConvert;
import com.abssqr.plat.common.model.repo.rule.AstScreenRuleRepo;

import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

/**
 * @author yaphet
 * @version com.abssqr.plat.common.model.repo.rule: AstScreeningRuleRepoImpl.java, v 0.1 2018-03-06 下午2:35 yaphet Exp $
 */
@Repository
public class AstScreenRuleRepoImpl implements AstScreenRuleRepo {

    @Autowired
    private AstScreenRuleDAO astScreenRuleDAO;

    @Override
    public int insertBatch(List<AstScreenRule> list) {
        if (CollectionUtils.isEmpty(list)){
            return 0;
        }
        List<AstScreenRuleDO> astScreenRuleDOS = AstScreenRuleConvert.convert2DOList(list);
        if (CollectionUtils.isNotEmpty(astScreenRuleDOS)) {
            return astScreenRuleDAO.insertBatch(astScreenRuleDOS);
        }
        return 0;

    }

    @Override
    public List<AstScreenRule> getScreenRuleList(String packNo) {
        List<AstScreenRuleDO> astScreenRuleDOS = astScreenRuleDAO.queryByAbsAstScreenRuleRelNo(packNo);
        return AstScreenRuleConvert.convert2ModelList(astScreenRuleDOS);
    }
}
