/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.tr;

import com.abssqr.plat.common.facade.enums.AstPackTradeTypeEnum;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.model.domain.task.TrCtrTask;

import java.util.Date;
import java.util.List;

/**
 * 转让任务仓储
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.tr: TrTaskRepo.java, v 0.1 2018-01-06 01:17 hongwei.wang Exp $
 */
public interface TrCtrTaskRepo {
    /**
     * 批量插入转让任务
     *
     * @param trCtrTasks
     * @return
     */
    int insertBatch(List<TrCtrTask> trCtrTasks);
    
    /**
     * 根据状态、资产包类型、日期获取控制任务
     * @param accountDate
     * @param status
     * @param packType
     * @return
     */
    TrCtrTask getByStatus(Date accountDate, TaskStatusEnum status, AstPackTradeTypeEnum packType);
    
    /**
     * 根据id 加锁
     * @param id
     * @return
     */
    TrCtrTask lockById(Long id);
    
    /**
     * 根据资产管理机构、日期、任务状态、资产包类型获取控制任务
     * @param managerOrgCode
     * @param accountDate
     * @param status
     * @param packType
     * @return
     */
    List<TrCtrTask> getByManagerOrgCode(String managerOrgCode, Date accountDate, TaskStatusEnum status, AstPackTradeTypeEnum packType);
    
    int updateStatus(Long id, TaskStatusEnum status);
    
    int updateExecTms(Long id, Long execTms);
    
    /**
     * 根据状态日期类型查询控制任务
     * @param tfrDate
     * @param status
     * @param packType
     * @return
     */
    List<TrCtrTask> queryInitCtrTaskList(Date tfrDate, TaskStatusEnum status, AstPackTradeTypeEnum packType);
}
