/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.util.profiler;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.util.profiler: PerformTraceRecord.java, v 0.1 2019-11-28 上午02:56 zhenxuan.luo Exp $ 
 */
public class PerformTraceContext {
    
    private static final ThreadLocal<PerformRecord> HOLD = ThreadLocal.withInitial(() -> new PerformRecord());
    
    public static void enter(String name) {
        PerformRecord parent = HOLD.get();
        PerformRecord newRecord = new PerformRecord(name);
        
        parent.getChild().add(newRecord);
        newRecord.setParent(parent);
        
        HOLD.set(newRecord);
    }
    
    public static PerformRecord get() {
        return HOLD.get();
    }
    
    public static PerformRecord leave() {
        
        PerformRecord cur = HOLD.get();
        if (cur.isRoot() || cur.getParent() == null) {
            return cur;
        }
        cur.end();
        if (cur.getParent().isRoot()) {
            cur.getParent().getChild().remove(cur);
            clear();
        } else {
            HOLD.set(cur.getParent());
        }
        return cur;
    }
    
    public static void clear() {
        HOLD.set(null);
        HOLD.remove();
    }
}