package com.abssqr.plat.core.service.ast;

import cn.hutool.poi.excel.ExcelUtil;
import cn.hutool.poi.excel.ExcelWriter;
import com.abssqr.plat.common.dal.mysql.auto.paging.PackAstPage;
import com.abssqr.plat.common.facade.enums.LoanFieldEnum;
import com.abssqr.plat.common.model.repo.ast.LoanRepository;
import org.apache.commons.io.IOUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;
import java.util.*;
import java.util.stream.Collectors;
@Component
public class DownLoadAstManager {

    @Autowired
    LoanRepository loanRepository;

    /**
     * 查询资产并写入前端流
     * @param packAstPage
     * @param fieldCodes
     * @param outputStream
     */
    public void writeData2Stream(PackAstPage packAstPage,List<String> fieldCodes,OutputStream outputStream){
        Map<String, String> alias = buildAliasMap(fieldCodes);
        ExcelWriter writer = ExcelUtil.getBigWriter();
        writer.setOnlyAlias(true);
        writer.setHeaderAlias(alias);
        do{
            packAstPage = loanRepository.getLoanPageByPackNo(packAstPage);
            writer.write(packAstPage.getDatas());
        }while(packAstPage.hasNextPage());

        writer.flush(outputStream);
        IOUtils.closeQuietly(outputStream);
    }


    private Map<String,String> buildAliasMap(List<String> fieldCodes){
        //根据序号排序
        Set<LoanFieldEnum> loanFieldEnumSet=new TreeSet(Comparator.comparing(LoanFieldEnum::getSort));
        fieldCodes.forEach(v->{
            LoanFieldEnum fieldEnum = LoanFieldEnum.getByCode(v);
            loanFieldEnumSet.add(fieldEnum);

        });
        Map<String, String> result = loanFieldEnumSet.stream().collect(Collectors.toMap(LoanFieldEnum::getCode
                , LoanFieldEnum::getDesc));

        return result;
    }


}
