package com.abssqr.plat.test;
/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

import com.abssqr.test.DateTimeUtil;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.dbutils.QueryRunner;
import org.apache.commons.dbutils.ResultSetHandler;
import org.apache.commons.dbutils.handlers.MapListHandler;
import org.springframework.jdbc.datasource.DriverManagerDataSource;
import org.testng.annotations.Test;

import javax.sql.DataSource;
import java.io.FileWriter;
import java.io.IOException;
import java.sql.Date;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.List;
import java.util.Map;

/**
 * @author guozhenhua
 * @version com.loan.helper.test: TableTransYamlUtilTest.java, v 0.1 2018-12-13 2:08 PM guozhenhua Exp $
 */
public class TableTransCsvDataTest {

    static Map<String, String> tbMap = Maps.newHashMap();

    static {
//        tbMap.put("abs_plan", "plan_no in('lenderCode001','testTrustPlanNo001')" );
//        tbMap.put("abs_plan_ast", "plan_no in('lenderCode001','testTrustPlanNo001')" );
//
//        tbMap.put("ABS_PLAN_INVEST_STRUCTURE", "plan_no in('lenderCode001','testTrustPlanNo001') order by plan_no, layer_no, layer_type" );
//        tbMap.put("ABS_PLAN_FEE_STRUCTURE", "plan_no in('lenderCode001','testTrustPlanNo001') order by plan_no, fee_no, fee_calc_type" );
//        tbMap.put("ABS_PLAN_ACCT_TITLE", "plan_no in('lenderCode001','testTrustPlanNo001') order by plan_no, ref_no, calc_type" );
//
//        tbMap.put("ABS_PLAN_TRANSFER_RULE", "plan_no in('lenderCode001','testTrustPlanNo001') ");
//        tbMap.put("ABS_PLAN_TRAN_SCREEN_REL", "plan_no in('lenderCode001','testTrustPlanNo001') ");
//        tbMap.put("ABS_AST_SCREEN_RULE", " screen_rule_no in(select screen_rule_no from ABS_PLAN_TRAN_SCREEN_REL where plan_no in('lenderCode001','testTrustPlanNo001')) ");
//        tbMap.put("abs_plan_alloc", "plan_no in('lenderCode001','testTrustPlanNo001') order by plan_no, alloc_no" );
//        tbMap.put("ABS_PLAN_ALLOC_ITEM" , "plan_no in('lenderCode001','testTrustPlanNo001') order by plan_no, alloc_no, item_no");
//

//        tbMap.put("abs_plan_clearing_log","plan_no = 'lenderCode001' ");

//        tbMap.put("abs_loan", "out_ast_no = 'testSyncDataLoanNo0001'");
//        tbMap.put("abs_loan_bak", "out_ast_no = 'testSyncDataLoanNo0001' order by BAK_DATE, OWN_ORG");
//        tbMap.put("abs_loan_log", "out_ast_no = 'testSyncDataLoanNo0001' order by OWN_ORG,EVENT_CODE,AF_STATUS,TRANS_TIME");
//        tbMap.put("abs_loan_instal", "out_ast_no = 'testSyncDataLoanNo0001' ORDER BY TERM_NO");
//        tbMap.put("abs_loan_instal_log", "out_ast_no = 'testSyncDataLoanNo0001' ORDER BY OWN_ORG,TERM_NO,EVENT_CODE,AF_STATUS");
//
//        tbMap.put("abs_loan_ast", "out_ast_no='testSyncDataLoanNo0001' order by OWN_ORG,AST_STATUS,TERM_NO,LAST_UPDATE_DATE,GMT_CREATE");
        tbMap.put("abs_loan_ast_profit", "out_ast_no='testwkSyncDataLoanID_5002' order by OWN_ORG,PROFIT_TYPE,SRC_TERM_NO,TERM_NO,LAST_UPDATE_DATE,GMT_CREATE");
//
//        tbMap.put("abs_loan_ast_log", "out_ast_no='testSyncDataLoanNo0001' order by OWN_ORG,EVENT_CODE,TERM_NO,LOAN_AST_NO,GMT_CREATE");
//        tbMap.put("abs_loan_ast_profit_log", "out_ast_no='testSyncDataLoanNo0001' order by OWN_ORG,PROFIT_TYPE, EVENT_CODE, SRC_TERM_NO, TERM_NO");
    }

    List<String> igCList = Lists.newArrayList("GMT_CREATE", "GMT_MODIFIED","EXT_INF","EXT_INFO",
            "LOAN_AST_NO","AST_PROFIT_NO", "EXEC_TMS", "BIZ_NO", "SEQ_NO", "TRANS_TIME", "LAYER_NAME");

    @Test
    public void tableColums() throws Exception {

        DataSource dataSource = new DriverManagerDataSource("jdbc:oracle:thin:@118.31.124.172:1521:orcl",
            "abssqr_fun_test",
            "JUEDUI2tech");



        QueryRunner run = new QueryRunner(dataSource);
        ResultSetHandler h = new MapListHandler();
        tbMap.forEach((tableName, param) -> {
            try {
                StringBuilder sb = new StringBuilder();
                query(sb, run, h, tableName, param);
                writer(sb.toString(), tableName);
            } catch (Throwable e) {
                System.out.println(e);
            } finally {
            }
        });

    }

    private void query(StringBuilder sb, QueryRunner run, ResultSetHandler h, String tableName, String param)
        throws java.sql.SQLException {
        List<Map<String, Object>> query = (List)run.query("select * from " + tableName + " where " + param, h);
        if (CollectionUtils.isNotEmpty(query)) {
            for (int i = 0; i < query.size(); i++) {
                Map<String, Object> data = query.get(i);
                List<String> keys = Lists.newArrayList(data.keySet());
                int cnt = 0;
                if (i == 0) {
                    for (int i1 = 0; i1 < keys.size(); i1++) {
                        if (!igCList.contains(keys.get(i1))) {
                            if (cnt > 0) {
                                sb.append(",");
                            }
                            sb.append(keys.get(i1));
                            cnt++;
                        }
                    }
                    sb.append("\n");
                }
                List<Object> values = Lists.newArrayList(data.values());
                cnt = 0;
                for (int i1 = 0; i1 < values.size(); i1++) {
                    if (!igCList.contains(keys.get(i1))) {
                        if (cnt > 0) {
                            sb.append(",");
                        }
                        Object val = values.get(i1);
                        String valStr = "";
                        if (val != null) {
                            if (val instanceof Timestamp || val instanceof Time || val instanceof Date) {
                                valStr = DateTimeUtil.format((java.util.Date) val,
                                        DateTimeUtil.FORMAT_DATE_YYYY_MM_DD_HH_mm_ss);
                            } else {
                                valStr = val.toString();
                            }
                        }
                        sb.append(valStr);
                        cnt++;
                    }
                }
                sb.append("\n");
            }

        }
    }

    protected void writer(String content, String tableName) throws IOException {
        FileWriter writer = null;
        try {
            writer = new FileWriter(tableName + ".csv", false);
            writer.write(content);
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            writer.close();
        }
    }

}
