/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat;

import java.util.concurrent.atomic.AtomicBoolean;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.cloud.context.environment.EnvironmentChangeEvent;
import org.springframework.context.event.EventListener;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat: EnvironmentChangeEventListener.java, v 0.1 2019-08-28 18:49 bangis.wangdf Exp $
 */
public class EnvironmentChangeEventListener {
    private static final Log           log   = LogFactory.getLog(EnvironmentChangeEventListener.class);
    private              AtomicBoolean ready = new AtomicBoolean(false);

    @EventListener
    public void handle(ApplicationReadyEvent event) {
        this.ready.compareAndSet(false, true);
    }

    @EventListener
    public void handle(EnvironmentChangeEvent event) {
        if (this.ready.get()) {
            log.info("wdf-Refresh keys changed: " + event.getKeys());
        }

    }
}
