package com.abssqr.plat.web.controller.astPool;

import com.abssqr.plat.common.facade.param.ast.AstPageQryParam;
import com.abssqr.plat.common.facade.param.astPool.AstPoolOprParam;
import com.abssqr.plat.common.facade.param.astPool.AstPoolPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstPoolLoanVO;
import com.abssqr.plat.common.facade.result.astPool.AstPoolVO;
import com.abssqr.plat.common.facade.service.ast.AstPoolService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestJsonController
public class AstPoolController {
    @Autowired
    private AstPoolService astPoolService;

    /**
     * 新增资产池
     * @param astPoolOprParam
     * @return
     */
    @PostMapping("astPool/add.json")
    public BaseResult add(@RequestBody AstPoolOprParam astPoolOprParam){
        return BaseResult.success(astPoolService.add(astPoolOprParam));
    }

    /**
     * 查询资产池列表
     * @param astPoolPageQryParam
     * @return
     */
    @PostMapping("astPool/page.json")
    public BasePage<AstPoolVO> page(@RequestBody AstPoolPageQryParam astPoolPageQryParam){
        return astPoolService.page(astPoolPageQryParam);
    }

    /**
     * 查询资产池详情
     * @param astPoolNo
     * @return
     */
    @GetMapping("astPool/get.json")
    public AstPoolVO get(@RequestParam("astPoolNo") String astPoolNo){
        return  astPoolService.get(astPoolNo);
    }


    /**
     * 查询资产列表
     * @param astPageQryParam
     * @return
     */
    @RequestMapping("astPool/astList.json")
    public BasePage<AstPoolLoanVO> astList(@RequestBody AstPageQryParam astPageQryParam){
        return  astPoolService.astList(astPageQryParam);
    }


}
