CREATE TABLE ABS_LOAN_PACK_REL
(
    ID NUMBER(10),
    PACK_NO VARCHAR2(64),
    AST_NO VARCHAR2(64),
    STATUS VARCHAR2(64),
    REPAY_FINAL_DATE DATE,
    BACK_NO VARCHAR2(64),
    PRIN_BAL NUMBER(10),
    BACK_AMT NUMBER(10),
    PRIN_RATE NUMBER(10,2),
    GMT_CREATE DATE,
    GMT_MODIFIED DATE
);
CREATE INDEX ABS_LOAN_PACK_REL_AST_NO_index ON ABS_LOAN_PACK_REL (AST_NO);
CREATE INDEX ABS_LOAN_PACK_REL_PACK_NO_index ON ABS_LOAN_PACK_REL (PACK_NO);
COMMENT ON COLUMN ABS_LOAN_PACK_REL.PACK_NO IS '资产包编号';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.AST_NO IS '资产编号';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.STATUS IS '状态，归属 in，赎回 back';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.REPAY_FINAL_DATE IS '还款最后归属日';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.BACK_NO IS '赎回编号';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.PRIN_BAL IS '本金余额';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.BACK_AMT IS '赎回价格';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.PRIN_RATE IS '本金定价利率';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.GMT_CREATE IS '创建时间';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.GMT_MODIFIED IS '修改时间';
COMMENT ON TABLE ABS_LOAN_PACK_REL IS '资产-包关系表';
