drop table abs_plan;


CREATE TABLE ABS_PLAN
(
    ID NUMBER(10) PRIMARY KEY,
    PLAN_NAME VARCHAR2(64),
    PLAN_FULL_NAME VARCHAR2(128),
    PLAN_NO VARCHAR2(128),
    TOTAL_AMT NUMBER(20),
    BEGIN_DATE DATE,
    END_DATE DATE,
    FIRST_CALC_DATE DATE,
    FIRST_PAY_DATE DATE,
    FIRST_SETTLE_DATE DATE,
    FIRST_ALLOC_DATE DATE,
    FIRST_REPORT_DATE DATE,
    CALC_INTR_TYPE VARCHAR2(64),
    ALLOC_PERIOD NUMBER(2),
    ALLOC_PERIOD_METHOD VARCHAR2(64),
    TRADE_PLACE VARCHAR2(128),
    STATUS VARCHAR2(64),
    GMT_CREATOR VARCHAR2(128),
    GMT_CREATE DATE,
    GMT_MODIFIED DATE
);
COMMENT ON COLUMN ABS_PLAN.PLAN_NAME IS '产品简称';
COMMENT ON COLUMN ABS_PLAN.PLAN_FULL_NAME IS '产品全称';
COMMENT ON COLUMN ABS_PLAN.PLAN_NO IS '产品编号';
COMMENT ON COLUMN ABS_PLAN.TOTAL_AMT IS '发行规模';
COMMENT ON COLUMN ABS_PLAN.BEGIN_DATE IS '产品成立日';
COMMENT ON COLUMN ABS_PLAN.END_DATE IS '法定到期日';
COMMENT ON COLUMN ABS_PLAN.FIRST_CALC_DATE IS '首次计算日';
COMMENT ON COLUMN ABS_PLAN.FIRST_PAY_DATE IS '首次转付日';
COMMENT ON COLUMN ABS_PLAN.FIRST_SETTLE_DATE IS '首次结息日';
COMMENT ON COLUMN ABS_PLAN.FIRST_ALLOC_DATE IS '首次分配日';
COMMENT ON COLUMN ABS_PLAN.FIRST_REPORT_DATE IS '首次报告日';
COMMENT ON COLUMN ABS_PLAN.CALC_INTR_TYPE IS '计息方式/计息基准';
COMMENT ON COLUMN ABS_PLAN.ALLOC_PERIOD IS '兑付周期';
COMMENT ON COLUMN ABS_PLAN.ALLOC_PERIOD_METHOD IS '兑付周期类型';
COMMENT ON COLUMN ABS_PLAN.TRADE_PLACE IS '交易场所';
COMMENT ON COLUMN ABS_PLAN.STATUS IS '产品状态（设计中，已发行，已清算）';
COMMENT ON COLUMN ABS_PLAN.GMT_CREATE IS '创建时间';
COMMENT ON COLUMN ABS_PLAN.GMT_MODIFIED IS '修改时间';
COMMENT ON COLUMN ABS_PLAN.GMT_CREATOR IS '计划创建人';
COMMENT ON TABLE ABS_PLAN IS '产品表';


-- 序列号
drop SEQUENCE SEQ_ABS_PLAN;

CREATE SEQUENCE  SEQ_ABS_PLAN MINVALUE 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;
