drop table abs_plan;

CREATE TABLE ABS_PLAN_FEE_STRUCTURE
(
  ID NUMBER(10) PRIMARY KEY,
  FEE_NO VARCHAR(128),
  PLAN_NO VARCHAR2(128),
  FEE_CALC_DEFAULT_DATE DATE,
  FEE_CALC_TYPE VARCHAR(64),
  FIXED_FEE_AMT NUMBER(20),
  FEE_SCALE_TYPE VARCHAR2(64),
  FEE_RATE NUMBER(10,5),
  PAY_LIMIT_AMT NUMBER(20),
  ORDER NUMBER(4,0),
  FEE_NAME VARCHAR2(128),
  GMT_CREATE DATE,
  GMT_MODIFIED DATE
);
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.ID IS '唯一主键';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.FEE_NO IS '费用编号';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.PLAN_NO IS '产品编号';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.FEE_CALC_DEFAULT_DATE IS '默认计费时间';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.FEE_CALC_TYPE IS '计费方式';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.FIXED_FEE_AMT IS '固定费用';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.FEE_SCALE_TYPE IS '费用基准';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.FEE_RATE IS '费率';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.PAY_LIMIT_AMT IS '支付上限';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.FEE_NAME IS '费用名称';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.GMT_CREATE IS '创建时间';
COMMENT ON COLUMN ABS_PLAN_FEE_STRUCTURE.GMT_MODIFIED IS '更新时间';



-- 序列号
drop SEQUENCE SEQ_ABS_PLAN_FEE_STRUCTURE;

CREATE SEQUENCE  SEQ_ABS_PLAN_FEE_STRUCTURE MINVALUE 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;
