DROP TABLE ABS_AST_SCREEN_RULE;

CREATE TABLE ABS_AST_SCREEN_RULE (
  ID NUMBER(20) NOT NULL ,
  REL_NO VARCHAR2(64) ,
  REL_TYPE VARCHAR2(32) ,
  RULE_TYPE VARCHAR2(32) ,
  LEFT_CONDITION VARCHAR2(64) ,
  LEFT_VALUE VARCHAR2(64) ,
  RIGHT_CONDITION VARCHAR2(64) ,
  RIGHT_VALUE VARCHAR2(256) ,
  GMT_CREATE DATE ,
  GMT_MODIFIED DATE ,
  PRIMARY KEY (ID)
)
;

CREATE INDEX IDX_ABS_AST_SCREEN_RULE_REL_NO
  ON ABS_AST_SCREEN_RULE (REL_NO);

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.REL_NO IS '关联编号';

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.REL_TYPE IS '关联类型 1.资产打包 pack';

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.RULE_TYPE IS '规则类型';

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.LEFT_CONDITION IS '左条件: 1.大于 gt 2.大于等于 ge';

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.LEFT_VALUE IS '左值';

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.RIGHT_CONDITION IS '右条件: 1.小于 lt 2.小于等于 le 3.等于 eq 4.包含 in';

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.RIGHT_VALUE IS '右值';

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.GMT_CREATE IS '创建时间';

COMMENT ON COLUMN ABS_AST_SCREEN_RULE.GMT_MODIFIED IS '更新时间';

COMMENT ON TABLE ABS_AST_SCREEN_RULE IS '筛选规则表';

-- 序列号
CREATE SEQUENCE  SEQ_ABS_AST_SCREEN_RULE MINVALUE 1 MAXVALUE 9999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 ORDER  NOCYCLE ;
